total construct overlap = 46.08
DEBUG: time 102 iteration 0
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 7.2
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 8.08
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 15.28
protrusion 0 0
protrusion 1 0
protrusion 2 30.8
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 30.8
connectivity 0 3 243.772
connectivity 1 2 243.949
connectivity 3 4 117.06
connectivity 4 5 171.517
total connect 776.298
separation 3 6 0.750659
total separate 0.750659
total block 0
DEBUG: time 106 iteration 1
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 3.38791
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.161665
overlap 3 5 2.39487
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 5.94444
protrusion 0 0
protrusion 1 0
protrusion 2 37.0119
protrusion 3 2.84355
protrusion 4 0
protrusion 5 0.254007
protrusion 6 0
total protrusion 40.1094
connectivity 0 3 242.996
connectivity 1 2 245.639
connectivity 3 4 116.041
connectivity 4 5 172.622
total connect 777.297
separation 3 6 0.680308
total separate 0.680308
part 1 blocked by volume of 0.0602105
total block 0.0602105
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 7.00303
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.255203
overlap 3 5 1.90333
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 9.16156
protrusion 0 0
protrusion 1 0
protrusion 2 36.3907
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 36.3907
connectivity 0 3 240.588
connectivity 1 2 245.47
connectivity 3 4 113.594
connectivity 4 5 171.829
total connect 771.482
separation 3 6 0.44035
total separate 0.44035
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 14.2049
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.818063
overlap 3 5 5.4087
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 20.4317
protrusion 0 0
protrusion 1 0
protrusion 2 32.8728
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 32.8728
connectivity 0 3 235.371
connectivity 1 2 243.341
connectivity 3 4 106.991
connectivity 4 5 167.948
total connect 753.651
separation 3 6 0.00348913
total separate 0.00348913
total block 0
DEBUG: fixing separation
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 20.3463
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 9.47367
overlap 3 5 9.87228
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 39.6922
protrusion 0 0
protrusion 1 0
protrusion 2 29.7068
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.634822
total protrusion 30.3416
connectivity 0 3 229.571
connectivity 1 2 241.424
connectivity 3 4 99.9721
connectivity 4 5 164.534
total connect 735.502
total separate 0
total block 0
DEBUG: time 136 iteration 2
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 18.075
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 9.78847
overlap 3 5 9.77572
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 37.6392
protrusion 0 0
protrusion 1 0
protrusion 2 26.8573
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.20616
total protrusion 28.0635
connectivity 0 3 226.058
connectivity 1 2 241.877
connectivity 3 4 97.095
connectivity 4 5 165.371
total connect 730.401
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 16.078
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.7401
overlap 3 5 9.67845
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 36.4966
protrusion 0 0
protrusion 1 4.59523
protrusion 2 18.0809
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.0955593
total protrusion 22.7717
connectivity 0 3 222.899
connectivity 1 2 240.595
connectivity 3 4 94.5453
connectivity 4 5 166.199
total connect 724.238
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 16.4607
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 23.8606
overlap 3 5 13.5305
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 53.8518
protrusion 0 0
protrusion 1 4.58511
protrusion 2 7.22688
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 11.812
connectivity 0 3 217.007
connectivity 1 2 237.465
connectivity 3 4 87.9184
connectivity 4 5 163.881
total connect 706.272
total separate 0
total block 0
DEBUG: time 161 iteration 3
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 11.8226
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 21.772
overlap 3 5 12.6003
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 46.1948
protrusion 0 0
protrusion 1 26.9534
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 14.3858
protrusion 6 0
total protrusion 41.3392
connectivity 0 3 213.542
connectivity 1 2 236.767
connectivity 3 4 85.9615
connectivity 4 5 165.619
total connect 701.889
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 10.4083
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.9423
overlap 3 5 15.8191
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 46.1698
protrusion 0 0
protrusion 1 24.1505
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 20.0211
protrusion 6 0
total protrusion 44.1717
connectivity 0 3 210.437
connectivity 1 2 234.191
connectivity 3 4 84.2993
connectivity 4 5 166.032
total connect 694.959
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 10.1625
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0.863857
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 32.0338
overlap 3 5 23.052
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 66.1122
protrusion 0 0
protrusion 1 11.3592
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 22.3199
protrusion 6 0
total protrusion 33.6792
connectivity 0 3 204.607
connectivity 1 2 229.895
connectivity 3 4 78.5053
connectivity 4 5 163.287
total connect 676.294
total separate 0
total block 0
DEBUG: time 185 iteration 4
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 9.32213
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 39.225
overlap 3 5 20.8801
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 69.4272
protrusion 0 0
protrusion 1 22.7525
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 33.2644
protrusion 6 0
total protrusion 56.0169
connectivity 0 3 199.886
connectivity 1 2 229.609
connectivity 3 4 75.5526
connectivity 4 5 164.662
total connect 669.71
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.859466
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 10.3262
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 47.4258
overlap 3 5 22.9922
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 81.6037
protrusion 0 0
protrusion 1 10.065
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 33.9252
protrusion 6 0
total protrusion 43.9901
connectivity 0 3 195.642
connectivity 1 2 227.401
connectivity 3 4 72.8992
connectivity 4 5 164.629
total connect 660.571
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.296754
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 10.6334
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 80.552
overlap 3 5 28.3007
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 119.783
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 31.5866
protrusion 6 0
total protrusion 31.5866
connectivity 0 3 188.782
connectivity 1 2 223.438
connectivity 3 4 66.1869
connectivity 4 5 161.466
total connect 639.873
total separate 0
total block 0
DEBUG: time 211 iteration 5
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.553493
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 6.94001
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 85.1041
overlap 3 5 29.1963
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 121.794
protrusion 0 0
protrusion 1 6.83145
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 37.9889
protrusion 6 0
total protrusion 44.8204
connectivity 0 3 185.52
connectivity 1 2 221.136
connectivity 3 4 64.6074
connectivity 4 5 162.179
total connect 633.442
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.825442
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 6.31395
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 89.2096
overlap 3 5 33.7321
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 130.081
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 34.5618
protrusion 6 0
total protrusion 34.5618
connectivity 0 3 182.596
connectivity 1 2 218.375
connectivity 3 4 63.2056
connectivity 4 5 161.486
total connect 625.662
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 4.0071
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 119.556
overlap 3 5 40.7509
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 164.314
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 28.4756
protrusion 6 0
total protrusion 28.4756
connectivity 0 3 176.931
connectivity 1 2 213.915
connectivity 3 4 57.621
connectivity 4 5 157.712
total connect 606.179
total separate 0
total block 0
DEBUG: time 237 iteration 6
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.171254
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 117.662
overlap 3 5 44.3059
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 162.139
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 30.7266
protrusion 6 0
total protrusion 30.7266
connectivity 0 3 173.588
connectivity 1 2 210.717
connectivity 3 4 57.009
connectivity 4 5 158.047
total connect 599.36
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.832598
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 115.982
overlap 3 5 51.1748
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 167.989
protrusion 0 0
protrusion 1 2.95979
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 23.5632
protrusion 6 0
total protrusion 26.523
connectivity 0 3 170.608
connectivity 1 2 207.846
connectivity 3 4 56.5103
connectivity 4 5 157.018
total connect 591.982
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.00286088
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 141.668
overlap 3 5 59.6024
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 201.274
protrusion 0 0
protrusion 1 6.3365
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 14.1375
protrusion 6 0
total protrusion 20.474
connectivity 0 3 164.91
connectivity 1 2 203.291
connectivity 3 4 51.7022
connectivity 4 5 152.894
total connect 572.797
total separate 0
total block 0
DEBUG: time 262 iteration 7
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 3.07403
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 136.26
overlap 3 5 63.12
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 202.454
protrusion 0 0
protrusion 1 9.37553
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 12.2318
protrusion 6 0
total protrusion 21.6074
connectivity 0 3 163.122
connectivity 1 2 199.197
connectivity 3 4 52.0898
connectivity 4 5 153.022
total connect 567.43
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 12.4619
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0.442845
overlap 3 4 131.413
overlap 3 5 69.7402
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 214.058
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.32754
protrusion 6 0
total protrusion 1.32754
connectivity 0 3 161.576
connectivity 1 2 194.792
connectivity 3 4 52.4678
connectivity 4 5 151.88
total connect 560.716
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 16.6157
overlap 2 4 0
overlap 2 5 0
overlap 2 6 2.50389
overlap 3 4 154.634
overlap 3 5 76.7858
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 250.54
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 157.193
connectivity 1 2 188.856
connectivity 3 4 48.3697
connectivity 4 5 147.616
total connect 542.035
total separate 0
total block 0
DEBUG: time 287 iteration 8
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 9.95399
overlap 2 4 0
overlap 2 5 0
overlap 2 6 1.3951
overlap 3 4 161.643
overlap 3 5 71.588
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 244.58
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 154.201
connectivity 1 2 185.291
connectivity 3 4 47.7055
connectivity 4 5 147.758
total connect 534.956
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0.0761616
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0.961569
overlap 3 4 198.697
overlap 3 5 66.6059
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 266.341
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 148.463
connectivity 1 2 180.108
connectivity 3 4 42.7428
connectivity 4 5 144.652
total connect 515.966
total separate 0
total block 0
DEBUG: time 304 iteration 9
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 213.706
overlap 3 5 51.9559
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 265.662
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 144.602
connectivity 1 2 177.209
connectivity 3 4 41.9493
connectivity 4 5 145.896
total connect 509.656
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 253.556
overlap 3 5 38.0701
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 291.626
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 138.09
connectivity 1 2 172.624
connectivity 3 4 37.2428
connectivity 4 5 143.868
total connect 491.824
total separate 0
total block 0
DEBUG: time 321 iteration 10
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 2.12598
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 259.93
overlap 3 5 23.5378
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 285.594
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 2.25081
total protrusion 2.25081
connectivity 0 3 134.388
connectivity 1 2 168.499
connectivity 3 4 37.6882
connectivity 4 5 145.971
total connect 486.545
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.126224
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 9.70673
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 265.533
overlap 3 5 10.3
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 285.666
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 2.66055
total protrusion 2.66055
connectivity 0 3 131.062
connectivity 1 2 164.787
connectivity 3 4 38.2119
connectivity 4 5 147.957
total connect 482.018
total separate 0
part 0 blocked by volume of 0.000103276
total block 0.000103276
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.180171
overlap 1 3 0
overlap 1 4 14.3567
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 296.204
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 310.741
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 3.02932
total protrusion 3.02932
connectivity 0 3 125.025
connectivity 1 2 159.47
connectivity 3 4 34.7271
connectivity 4 5 146.749
total connect 465.97
total separate 0
total block 0
DEBUG: time 347 iteration 11
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.375507
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.365459
overlap 1 3 0
overlap 1 4 19.7228
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 295.583
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 316.047
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 3.36121
total protrusion 3.36121
connectivity 0 3 121.476
connectivity 1 2 158.524
connectivity 3 4 35.5925
connectivity 4 5 147.224
total connect 462.816
total separate 0
part 0 blocked by volume of 0.786831
total block 0.786831
DEBUG: fixing protrusion
overlap 0 1 2.95758
overlap 0 2 0
overlap 0 3 2.93959
overlap 0 4 0.65319
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.586014
overlap 1 3 0
overlap 1 4 24.7108
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 295.077
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 326.924
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 2.0351
total protrusion 2.0351
connectivity 0 3 118.284
connectivity 1 2 157.675
connectivity 3 4 36.3821
connectivity 4 5 147.722
total connect 460.063
total separate 0
part 0 blocked by volume of 2.61668
total block 2.61668
DEBUG: fixing connectivity
overlap 0 1 6.80757
overlap 0 2 0
overlap 0 3 10.1389
overlap 0 4 0.222673
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.45012
overlap 1 3 0
overlap 1 4 24.824
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 316.587
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 360.03
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.841604
total protrusion 0.841604
connectivity 0 3 112.385
connectivity 1 2 154.936
connectivity 3 4 33.0998
connectivity 4 5 145.251
total connect 445.671
total separate 0
part 0 blocked by volume of 2.47541
total block 2.47541
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.45012
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 78.4041
overlap 2 5 0
overlap 2 6 0
overlap 3 4 129.678
overlap 3 5 0
overlap 3 6 0
overlap 4 5 34.0405
overlap 4 6 0
overlap 5 6 0
total overlap = 243.573
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.841604
total protrusion 0.841604
connectivity 0 3 152.518
connectivity 1 2 154.936
connectivity 3 4 62.5262
connectivity 4 5 89.2171
total connect 459.198
total separate 0
total block 0
DEBUG: time 417 iteration 12
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 3.05388
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.480891
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 67.5468
overlap 2 5 0
overlap 2 6 0
overlap 3 4 115.708
overlap 3 5 0
overlap 3 6 0
overlap 4 5 33.7844
overlap 4 6 0
overlap 5 6 0
total overlap = 220.574
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 2.25309
protrusion 5 0
protrusion 6 0.841604
total protrusion 3.09469
connectivity 0 3 151.296
connectivity 1 2 158.23
connectivity 3 4 66.3183
connectivity 4 5 89.0384
total connect 464.883
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 6.1778
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 63.3832
overlap 2 5 0
overlap 2 6 0
overlap 3 4 104.309
overlap 3 5 0
overlap 3 6 0
overlap 4 5 29.832
overlap 4 6 0
overlap 5 6 0
total overlap = 203.702
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 1.87456
protrusion 5 0
protrusion 6 0
total protrusion 1.87456
connectivity 0 3 150.216
connectivity 1 2 161.195
connectivity 3 4 68.0376
connectivity 4 5 90.6526
total connect 470.101
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 9.93432
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 52.2783
overlap 2 5 0
overlap 2 6 0
overlap 3 4 103.857
overlap 3 5 0
overlap 3 6 0
overlap 4 5 27.3716
overlap 4 6 0
overlap 5 6 0
total overlap = 193.441
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 4.41586
protrusion 5 0
protrusion 6 0
total protrusion 4.41586
connectivity 0 3 146.78
connectivity 1 2 161.887
connectivity 3 4 67.9244
connectivity 4 5 91.0724
total connect 467.664
total separate 0
total block 0
DEBUG: time 446 iteration 13
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 14.5625
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 33.567
overlap 2 5 0
overlap 2 6 3.73351
overlap 3 4 96.8698
overlap 3 5 0
overlap 3 6 0
overlap 4 5 21.8195
overlap 4 6 0
overlap 5 6 0
total overlap = 170.552
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 12.3373
protrusion 5 0
protrusion 6 0
total protrusion 12.3373
connectivity 0 3 143.823
connectivity 1 2 163.655
connectivity 3 4 70.6921
connectivity 4 5 92.6278
total connect 470.798
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 19.1246
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 5.24539
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 24.4562
overlap 2 5 0
overlap 2 6 8.0394
overlap 3 4 90.6697
overlap 3 5 0
overlap 3 6 0
overlap 4 5 14.4454
overlap 4 6 0
overlap 5 6 0
total overlap = 161.981
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 14.7818
protrusion 5 0
protrusion 6 0
total protrusion 14.7818
connectivity 0 3 141.165
connectivity 1 2 165.258
connectivity 3 4 71.5148
connectivity 4 5 95.7576
total connect 473.696
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 23.6588
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 13.4353
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 22.9562
overlap 2 5 0
overlap 2 6 12.3963
overlap 3 4 80.0238
overlap 3 5 0
overlap 3 6 0
overlap 4 5 11.0804
overlap 4 6 0
overlap 5 6 0
total overlap = 163.551
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 12.1555
protrusion 5 0
protrusion 6 0
total protrusion 12.1555
connectivity 0 3 136.302
connectivity 1 2 164.733
connectivity 3 4 70.7308
connectivity 4 5 97.4861
total connect 469.252
total separate 0
total block 0
DEBUG: time 474 iteration 14
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 19.1629
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 9.82925
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 22.2837
overlap 2 5 0
overlap 2 6 13.227
overlap 3 4 69.4108
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.58629
overlap 4 6 0
overlap 5 6 0
total overlap = 143.5
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 12.1016
protrusion 5 1.79891
protrusion 6 0
total protrusion 13.9005
connectivity 0 3 134.078
connectivity 1 2 168.124
connectivity 3 4 71.1617
connectivity 4 5 98.3736
total connect 471.737
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 15.1166
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 6.58381
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 25.644
overlap 2 5 0
overlap 2 6 13.9747
overlap 3 4 60.1873
overlap 3 5 0
overlap 3 6 0
overlap 4 5 10.1939
overlap 4 6 0
overlap 5 6 0
total overlap = 131.7
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 6.77529
protrusion 5 2.59722
protrusion 6 0
total protrusion 9.37251
connectivity 0 3 132.187
connectivity 1 2 171.185
connectivity 3 4 70.5628
connectivity 4 5 99.0643
total connect 473
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 11.3294
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 4.88625
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 24.2192
overlap 2 5 0
overlap 2 6 15.0907
overlap 3 4 59.9639
overlap 3 5 0
overlap 3 6 0
overlap 4 5 11.7152
overlap 4 6 0
overlap 5 6 0
total overlap = 127.205
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 6.56724
protrusion 5 2.17398
protrusion 6 0
total protrusion 8.74123
connectivity 0 3 128.389
connectivity 1 2 171.971
connectivity 3 4 68.7298
connectivity 4 5 98.4715
total connect 467.561
total separate 0
total block 0
DEBUG: time 502 iteration 15
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0.121921
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 21.5603
overlap 2 5 0
overlap 2 6 13.0982
overlap 3 4 60.897
overlap 3 5 0
overlap 3 6 0
overlap 4 5 13.7653
overlap 4 6 0
overlap 5 6 0
total overlap = 109.443
protrusion 0 4.93445
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 9.97383
protrusion 5 4.63363
protrusion 6 0
total protrusion 19.5419
connectivity 0 3 127.71
connectivity 1 2 176.553
connectivity 3 4 67.6809
connectivity 4 5 97.1202
total connect 469.064
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 23.0725
overlap 2 5 0
overlap 2 6 11.3048
overlap 3 4 61.7399
overlap 3 5 0
overlap 3 6 0
overlap 4 5 18.0157
overlap 4 6 0
overlap 5 6 0
total overlap = 114.133
protrusion 0 10.1899
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 7.89698
protrusion 5 3.88573
protrusion 6 0
total protrusion 21.9726
connectivity 0 3 126.331
connectivity 1 2 180.684
connectivity 3 4 66.0375
connectivity 4 5 95.9115
total connect 468.963
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 20.2512
overlap 2 5 0
overlap 2 6 10.1011
overlap 3 4 70.0424
overlap 3 5 0
overlap 3 6 0
overlap 4 5 22.864
overlap 4 6 0
overlap 5 6 0
total overlap = 123.259
protrusion 0 11.3888
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 10.7363
protrusion 5 2.10001
protrusion 6 1.70876
total protrusion 25.9339
connectivity 0 3 123.459
connectivity 1 2 182.43
connectivity 3 4 63.141
connectivity 4 5 93.304
total connect 462.333
total separate 0
total block 0
DEBUG: time 530 iteration 16
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 13.017
overlap 2 5 0
overlap 2 6 5.72387
overlap 3 4 78.0547
overlap 3 5 0
overlap 3 6 0
overlap 4 5 20.192
overlap 4 6 0
overlap 5 6 0
total overlap = 116.987
protrusion 0 12.4679
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 16.8462
protrusion 5 3.33532
protrusion 6 4.87166
total protrusion 37.5211
connectivity 0 3 119.547
connectivity 1 2 185.718
connectivity 3 4 60.8864
connectivity 4 5 93.7009
total connect 459.852
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 10.2103
overlap 2 5 0
overlap 2 6 3.40916
overlap 3 4 85.4357
overlap 3 5 0
overlap 3 6 0
overlap 4 5 19.5681
overlap 4 6 0
overlap 5 6 0
total overlap = 118.623
protrusion 0 3.30982
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 16.4136
protrusion 5 1.59899
protrusion 6 6.09346
total protrusion 27.4158
connectivity 0 3 114.895
connectivity 1 2 188.679
connectivity 3 4 58.5574
connectivity 4 5 94.0574
total connect 456.189
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.65253
overlap 2 5 0
overlap 2 6 1.7206
overlap 3 4 99.4457
overlap 3 5 0
overlap 3 6 0
overlap 4 5 21.6588
overlap 4 6 0
overlap 5 6 0
total overlap = 128.478
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 22.068
protrusion 5 0
protrusion 6 7.19308
total protrusion 29.2611
connectivity 0 3 109.23
connectivity 1 2 189.366
connectivity 3 4 55.1856
connectivity 4 5 92.6824
total connect 446.464
total separate 0
total block 0
DEBUG: time 557 iteration 17
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 4.85418
overlap 2 5 0
overlap 2 6 0
overlap 3 4 89.9292
overlap 3 5 0
overlap 3 6 0
overlap 4 5 24.1709
overlap 4 6 0
overlap 5 6 0
total overlap = 118.954
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 26.3307
protrusion 5 0
protrusion 6 9.80755
total protrusion 36.1382
connectivity 0 3 102.539
connectivity 1 2 191.163
connectivity 3 4 57.2825
connectivity 4 5 91.5316
total connect 442.516
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 3.53222
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.8942
overlap 2 5 0
overlap 2 6 0
overlap 3 4 81.7816
overlap 3 5 0
overlap 3 6 0
overlap 4 5 23.448
overlap 4 6 0
overlap 5 6 0
total overlap = 114.656
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 23.2618
protrusion 5 0
protrusion 6 10.5358
total protrusion 33.7976
connectivity 0 3 96.6628
connectivity 1 2 192.785
connectivity 3 4 59.6856
connectivity 4 5 92.0473
total connect 441.181
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 8.80446
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.0857
overlap 2 5 0
overlap 2 6 0
overlap 3 4 79.657
overlap 3 5 0
overlap 3 6 0
overlap 4 5 26.7456
overlap 4 6 0
overlap 5 6 0
total overlap = 120.293
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 27.2466
protrusion 5 0
protrusion 6 11.1912
total protrusion 38.4378
connectivity 0 3 90.3389
connectivity 1 2 192.272
connectivity 3 4 60.883
connectivity 4 5 90.5139
total connect 434.008
total separate 0
total block 0
DEBUG: time 583 iteration 18
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 12.9677
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.18444
overlap 2 5 0
overlap 2 6 0
overlap 3 4 56.2381
overlap 3 5 0
overlap 3 6 0
overlap 4 5 28.8567
overlap 4 6 0
overlap 5 6 0
total overlap = 103.247
protrusion 0 0
protrusion 1 0
protrusion 2 0.830096
protrusion 3 0
protrusion 4 28.096
protrusion 5 0
protrusion 6 11.781
total protrusion 40.7071
connectivity 0 3 84.4557
connectivity 1 2 192.855
connectivity 3 4 67.1788
connectivity 4 5 89.7248
total connect 434.214
total separate 0
part 0 blocked by volume of 1.61036
total block 1.61036
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 14.1845
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 8.72065
overlap 2 5 0
overlap 2 6 0
overlap 3 4 37.119
overlap 3 5 0
overlap 3 6 0
overlap 4 5 27.9237
overlap 4 6 0
overlap 5 6 0
total overlap = 87.9479
protrusion 0 0
protrusion 1 0
protrusion 2 0.955002
protrusion 3 0
protrusion 4 21.9032
protrusion 5 0.734321
protrusion 6 10.6871
total protrusion 34.2796
connectivity 0 3 79.509
connectivity 1 2 191.654
connectivity 3 4 74.0135
connectivity 4 5 90.6705
total connect 435.847
total separate 0
part 0 blocked by volume of 5.58978
total block 5.58978
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 16.7431
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 5.37495
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 10.3966
overlap 2 5 0
overlap 2 6 0
overlap 3 4 23.5046
overlap 3 5 0
overlap 3 6 0
overlap 4 5 31.3145
overlap 4 6 0
overlap 5 6 0
total overlap = 87.3339
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 23.165
protrusion 5 0.796239
protrusion 6 9.70252
total protrusion 33.6638
connectivity 0 3 74.4066
connectivity 1 2 188.596
connectivity 3 4 79.0243
connectivity 4 5 89.2188
total connect 431.246
total separate 0
part 0 blocked by volume of 10.837
total block 10.837
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 43.2
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 94.6532
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 10.3966
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 31.3145
overlap 4 6 0
overlap 5 6 0
total overlap = 179.564
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 23.165
protrusion 5 0.796239
protrusion 6 9.70252
total protrusion 33.6638
connectivity 0 3 94.4947
connectivity 1 2 188.596
connectivity 3 4 138.644
connectivity 4 5 89.2188
total connect 510.954
total separate 0
part 1 blocked by volume of 69.4425
total block 69.4425
DEBUG: time 662 iteration 19
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 26.3723
overlap 0 4 0.979013
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 88.8789
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.97108
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 21.4439
overlap 4 6 0
overlap 5 6 0
total overlap = 143.645
protrusion 0 0.716233
protrusion 1 0
protrusion 2 2.58553
protrusion 3 0
protrusion 4 22.9558
protrusion 5 3.28169
protrusion 6 9.70252
total protrusion 39.2418
connectivity 0 3 96.7839
connectivity 1 2 190.082
connectivity 3 4 138.042
connectivity 4 5 93.4572
total connect 518.366
total separate 0
part 1 blocked by volume of 69.8613
total block 69.8613
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 11.2619
overlap 0 4 6.49908
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 83.6821
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.63996
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 15.4315
overlap 4 6 0
overlap 5 6 0
total overlap = 122.514
protrusion 0 0
protrusion 1 0
protrusion 2 0.45973
protrusion 3 0
protrusion 4 16.2607
protrusion 5 2.70857
protrusion 6 8.07771
total protrusion 27.5067
connectivity 0 3 97.7891
connectivity 1 2 189.698
connectivity 3 4 137.69
connectivity 4 5 97.3023
total connect 522.479
total separate 0
part 1 blocked by volume of 69.7212
total block 69.7212
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 10.0511
overlap 0 4 13.1804
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 78.1052
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 3.75698
overlap 2 5 0
overlap 2 6 0.273744
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 12.1676
overlap 4 6 0
overlap 5 6 0
total overlap = 117.535
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 16.4685
protrusion 5 1.11524
protrusion 6 6.61539
total protrusion 24.1991
connectivity 0 3 95.9225
connectivity 1 2 187.379
connectivity 3 4 134.404
connectivity 4 5 98.7765
total connect 516.482
total separate 0
part 0 blocked by volume of 0.645443
part 1 blocked by volume of 66.3652
total block 67.0107
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 15.5144
overlap 0 4 16.0953
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 73.2693
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.37355
overlap 2 5 0
overlap 2 6 3.73677
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.37157
overlap 4 6 0
overlap 5 6 0
total overlap = 120.361
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 16.6561
protrusion 5 0
protrusion 6 5.29929
total protrusion 21.9554
connectivity 0 3 92.618
connectivity 1 2 187.384
connectivity 3 4 131.46
connectivity 4 5 100.113
total connect 511.575
total separate 0
part 0 blocked by volume of 2.35244
part 1 blocked by volume of 59.3571
total block 61.7096
DEBUG: time 697 iteration 20
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 1.3531
overlap 0 4 22.5856
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 63.0256
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.552137
overlap 2 5 0
overlap 2 6 1.86102
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.90635
overlap 4 6 0
overlap 5 6 0
total overlap = 92.2838
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 22.4564
protrusion 5 1.13481
protrusion 6 5.73961
total protrusion 29.3308
connectivity 0 3 92.1826
connectivity 1 2 188.913
connectivity 3 4 129.35
connectivity 4 5 102.931
total connect 513.376
total separate 0
part 0 blocked by volume of 8.84366
part 1 blocked by volume of 52.0825
total block 60.9261
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 34.3771
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 53.8062
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.122489
overlap 2 5 0
overlap 2 6 1.79764
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.574521
overlap 4 6 0
overlap 5 6 0
total overlap = 90.678
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 21.1243
protrusion 5 0
protrusion 6 4.5111
total protrusion 25.6354
connectivity 0 3 92.05
connectivity 1 2 190.353
connectivity 3 4 127.733
connectivity 4 5 105.392
total connect 515.528
total separate 0
part 0 blocked by volume of 14.9353
part 1 blocked by volume of 45.2507
total block 60.1859
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 44.9724
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 45.121
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 2.23842
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.429776
overlap 4 6 0
overlap 5 6 0
total overlap = 92.7617
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 26.5657
protrusion 5 0
protrusion 6 3.40543
total protrusion 29.9711
connectivity 0 3 89.1847
connectivity 1 2 189.723
connectivity 3 4 123.274
connectivity 4 5 105.69
total connect 507.872
total separate 0
part 0 blocked by volume of 25.1391
part 1 blocked by volume of 37.2903
total block 62.4294
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 55.4248
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 37.7437
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 2.63511
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.899899
overlap 4 6 0
overlap 5 6 0
total overlap = 96.7035
protrusion 0 0
protrusion 1 1.41293
protrusion 2 0
protrusion 3 0
protrusion 4 31.7068
protrusion 5 0
protrusion 6 2.41033
total protrusion 35.5301
connectivity 0 3 86.8998
connectivity 1 2 191.193
connectivity 3 4 119.262
connectivity 4 5 106.035
total connect 503.389
total separate 0
part 0 blocked by volume of 32.9059
part 1 blocked by volume of 28.6531
total block 61.5591
DEBUG: time 735 iteration 21
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 12.8944
overlap 0 4 46.3555
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 22.3225
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.01956
overlap 4 6 0
overlap 5 6 0
total overlap = 82.5919
protrusion 0 0
protrusion 1 30.7391
protrusion 2 0
protrusion 3 0
protrusion 4 36.5561
protrusion 5 2.72809
protrusion 6 3.13955
total protrusion 73.1629
connectivity 0 3 82.2756
connectivity 1 2 193.807
connectivity 3 4 118.648
connectivity 4 5 105.723
total connect 500.454
total separate 0
part 0 blocked by volume of 33.4499
part 1 blocked by volume of 15.5941
total block 49.044
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 27.6291
overlap 0 4 39.199
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 12.8023
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.835179
overlap 4 6 0
overlap 5 6 0
total overlap = 80.4655
protrusion 0 0
protrusion 1 40.7868
protrusion 2 0
protrusion 3 0
protrusion 4 33.445
protrusion 5 0.15839
protrusion 6 2.17104
total protrusion 76.5612
connectivity 0 3 78.2012
connectivity 1 2 195.524
connectivity 3 4 118.575
connectivity 4 5 105.798
total connect 498.099
total separate 0
part 0 blocked by volume of 31.2422
part 1 blocked by volume of 8.24556
total block 39.4877
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 58.6117
overlap 0 4 31.5715
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 4.3933
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.40443
overlap 4 6 0
overlap 5 6 0
total overlap = 96.9809
protrusion 0 0
protrusion 1 47.0099
protrusion 2 0
protrusion 3 0
protrusion 4 38.0405
protrusion 5 0
protrusion 6 1.29938
total protrusion 86.3498
connectivity 0 3 71.6481
connectivity 1 2 195.126
connectivity 3 4 115.55
connectivity 4 5 103.91
total connect 486.233
total separate 0
part 0 blocked by volume of 34.676
part 1 blocked by volume of 2.48571
total block 37.1617
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 32.4
overlap 1 4 21.1034
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 53.5034
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.29938
total protrusion 1.29938
connectivity 0 3 190.436
connectivity 1 2 238.693
connectivity 3 4 105.159
connectivity 4 5 239.986
total connect 774.275
total separate 0
part 1 blocked by volume of 507.219
total block 507.219
DEBUG: time 839 iteration 22
DEBUG: fixing overlap
overlap 0 1 0.76856
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 24.7543
overlap 1 4 22.7125
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0.385394
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 48.6208
protrusion 0 0
protrusion 1 14.4972
protrusion 2 0
protrusion 3 5.16837
protrusion 4 0
protrusion 5 0
protrusion 6 1.29938
total protrusion 20.9649
connectivity 0 3 192.005
connectivity 1 2 240.872
connectivity 3 4 106.494
connectivity 4 5 241.581
total connect 780.952
total separate 0
part 1 blocked by volume of 489.636
total block 489.636
DEBUG: fixing protrusion
overlap 0 1 1.50233
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 23.2453
overlap 1 4 26.4616
overlap 1 5 0
overlap 1 6 0
overlap 2 3 7.65342
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 58.8626
protrusion 0 0
protrusion 1 11.1987
protrusion 2 0
protrusion 3 0.97457
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 12.1733
connectivity 0 3 191.25
connectivity 1 2 240.885
connectivity 3 4 107.381
connectivity 4 5 243.034
total connect 782.551
total separate 0
part 1 blocked by volume of 487.873
total block 487.873
DEBUG: fixing connectivity
overlap 0 1 2.59674
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.0248196
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 27.3028
overlap 1 4 29.0682
overlap 1 5 0
overlap 1 6 0
overlap 2 3 10.6037
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 69.5963
protrusion 0 0
protrusion 1 0.933915
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0.933915
connectivity 0 3 187.941
connectivity 1 2 238.924
connectivity 3 4 104
connectivity 4 5 240.844
total connect 771.71
total separate 0
part 1 blocked by volume of 491.64
total block 491.64
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 22.4387
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 61.4277
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 41.5021
overlap 4 6 0
overlap 5 6 0
total overlap = 125.369
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 104.967
connectivity 1 2 149.087
connectivity 3 4 162.982
connectivity 4 5 89.5882
total connect 506.624
total separate 0
total block 0
DEBUG: time 900 iteration 23
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 19.8812
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 49.709
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 41.7017
overlap 4 6 0
overlap 5 6 0
total overlap = 111.292
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 2.21487
protrusion 5 1.73743
protrusion 6 0
total protrusion 3.9523
connectivity 0 3 103.39
connectivity 1 2 149.977
connectivity 3 4 161.581
connectivity 4 5 89.5078
total connect 504.455
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 17.6509
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 45.1265
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 41.614
overlap 4 6 0
overlap 5 6 0
total overlap = 104.391
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 1.80634
protrusion 5 0.818501
protrusion 6 0
total protrusion 2.62484
connectivity 0 3 101.973
connectivity 1 2 150.79
connectivity 3 4 161.134
connectivity 4 5 89.9781
total connect 503.875
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 15.6998
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.0586063
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 36.2153
overlap 2 5 0
overlap 2 6 1.79773
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 42.5225
overlap 4 6 0
overlap 5 6 0
total overlap = 96.294
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0.329766
protrusion 4 5.03926
protrusion 5 0
protrusion 6 0
total protrusion 5.36903
connectivity 0 3 97.7756
connectivity 1 2 149.556
connectivity 3 4 157.127
connectivity 4 5 87.8991
total connect 492.359
total separate 0
part 1 blocked by volume of 1.39929
total block 1.39929
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 13.9992
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.204543
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 28.8917
overlap 2 5 0
overlap 2 6 3.93318
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 43.203
overlap 4 6 0
overlap 5 6 0
total overlap = 90.2316
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0.626555
protrusion 4 8.69677
protrusion 5 0
protrusion 6 0
total protrusion 9.32332
connectivity 0 3 94.012
connectivity 1 2 146.283
connectivity 3 4 153.529
connectivity 4 5 86.0965
total connect 479.92
total separate 0
part 1 blocked by volume of 6.65499
total block 6.65499
DEBUG: time 932 iteration 24
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 8.26884
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 5.61443
overlap 2 3 0
overlap 2 4 18.4758
overlap 2 5 0
overlap 2 6 3.11503
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 43.9842
overlap 4 6 0
overlap 5 6 0
total overlap = 79.4583
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 8.07578
protrusion 4 18.4866
protrusion 5 0
protrusion 6 0
total protrusion 26.5624
connectivity 0 3 89.5703
connectivity 1 2 144.641
connectivity 3 4 151.696
connectivity 4 5 84.3074
total connect 470.215
total separate 0
part 0 blocked by volume of 0.0517825
part 1 blocked by volume of 0.182827
total block 0.23461
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.05488
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 12.4715
overlap 2 3 0
overlap 2 4 13.7986
overlap 2 5 0
overlap 2 6 2.3787
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 42.9921
overlap 4 6 0
overlap 5 6 0
total overlap = 75.6958
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 5.93475
protrusion 4 21.8131
protrusion 5 0
protrusion 6 1.29938
total protrusion 29.0473
connectivity 0 3 86.4365
connectivity 1 2 143.168
connectivity 3 4 150.21
connectivity 4 5 84.7286
total connect 464.543
total separate 0
part 1 blocked by volume of 0.497291
total block 0.497291
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 13.0906
overlap 0 4 1.05989
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 20.6363
overlap 2 3 0
overlap 2 4 7.50802
overlap 2 5 0
overlap 2 6 2.43348
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 45.7584
overlap 4 6 0
overlap 5 6 0
total overlap = 90.4867
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 4.68371
protrusion 4 31.866
protrusion 5 0
protrusion 6 2.61548
total protrusion 39.1651
connectivity 0 3 80.7303
connectivity 1 2 139.867
connectivity 3 4 145.507
connectivity 4 5 82.8939
total connect 448.999
total separate 0
part 0 blocked by volume of 0.392689
part 1 blocked by volume of 1.1859
total block 1.57859
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 55.7935
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 31.9714
overlap 2 3 0
overlap 2 4 3.34999
overlap 2 5 0
overlap 2 6 2.48278
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 49.0589
overlap 4 6 0
overlap 5 6 0
total overlap = 142.657
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 3.55778
protrusion 4 41.5765
protrusion 5 0
protrusion 6 3.79996
total protrusion 48.9342
connectivity 0 3 73.9759
connectivity 1 2 134.721
connectivity 3 4 141.334
connectivity 4 5 81.4311
total connect 431.462
total separate 0
part 0 blocked by volume of 2.0567
part 1 blocked by volume of 7.14225
total block 9.19895
DEBUG: time 966 iteration 25
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 70.829
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 36.6652
overlap 2 3 0
overlap 2 4 0.967423
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 40.3335
overlap 4 6 0
overlap 5 6 0
total overlap = 148.795
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 2.54444
protrusion 4 47.898
protrusion 5 0
protrusion 6 6.01491
total protrusion 56.4574
connectivity 0 3 71.408
connectivity 1 2 133.312
connectivity 3 4 137.477
connectivity 4 5 84.9709
total connect 427.169
total separate 0
part 0 blocked by volume of 3.04855
part 1 blocked by volume of 13.6986
total block 16.7472
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 84.3609
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 1.19539
overlap 1 5 0
overlap 1 6 40.8897
overlap 2 3 0
overlap 2 4 0.37301
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 28.1284
overlap 4 6 0
overlap 5 6 0
total overlap = 154.947
protrusion 0 0
protrusion 1 0
protrusion 2 1.49388
protrusion 3 0
protrusion 4 45.7172
protrusion 5 0
protrusion 6 6.38356
total protrusion 53.5946
connectivity 0 3 70.1565
connectivity 1 2 132.051
connectivity 3 4 134.127
connectivity 4 5 89.8031
total connect 426.137
total separate 0
part 0 blocked by volume of 2.54549
part 1 blocked by volume of 28.003
total block 30.5485
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 114.059
overlap 0 4 0.0159627
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 5.29966
overlap 1 5 0
overlap 1 6 46.6643
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 22.2811
overlap 4 6 0
overlap 5 6 0
total overlap = 188.32
protrusion 0 0
protrusion 1 0
protrusion 2 2.20292
protrusion 3 0
protrusion 4 51.5547
protrusion 5 0
protrusion 6 6.71534
total protrusion 60.473
connectivity 0 3 66.2172
connectivity 1 2 128.943
connectivity 3 4 128.029
connectivity 4 5 92.1755
total connect 415.365
total separate 0
part 0 blocked by volume of 2.86253
part 1 blocked by volume of 42.4251
total block 45.2877
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 15.4872
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 80.0489
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 95.536
protrusion 0 0
protrusion 1 0
protrusion 2 2.20292
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 2.20292
connectivity 0 3 184.867
connectivity 1 2 232.01
connectivity 3 4 71.4725
connectivity 4 5 181.008
total connect 669.357
total separate 0
total block 0
DEBUG: time 1041 iteration 26
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 17.8815
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 54.9533
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 72.8349
protrusion 0 10.1292
protrusion 1 0
protrusion 2 2.20292
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 12.3321
connectivity 0 3 186.824
connectivity 1 2 232.01
connectivity 3 4 74.6662
connectivity 4 5 183.492
total connect 676.992
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 24.0567
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 35.9163
overlap 3 5 2.09329
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 62.0663
protrusion 0 9.61592
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 9.61592
connectivity 0 3 187.225
connectivity 1 2 230.296
connectivity 3 4 77.6956
connectivity 4 5 185.733
total connect 680.95
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 24.3077
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 37.1115
overlap 3 5 4.12971
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 65.5488
protrusion 0 6.00288
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 6.00288
connectivity 0 3 184.561
connectivity 1 2 226.777
connectivity 3 4 75.9951
connectivity 4 5 184.427
total connect 671.76
total separate 0
total block 0
DEBUG: time 1066 iteration 27
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 27.1769
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 21.5613
overlap 3 5 6.39751
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 55.1356
protrusion 0 12.8803
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 12.8803
connectivity 0 3 184.874
connectivity 1 2 223.611
connectivity 3 4 78.8081
connectivity 4 5 187.466
total connect 674.759
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 34.785
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 1.65407
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.0497
overlap 3 5 8.61164
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 55.1004
protrusion 0 8.94083
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.180575
protrusion 6 0
total protrusion 9.1214
connectivity 0 3 184.127
connectivity 1 2 220.763
connectivity 3 4 81.5075
connectivity 4 5 190.214
total connect 676.611
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 35.6307
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 2.92216
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 12.1534
overlap 3 5 9.76343
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 60.4697
protrusion 0 2.06483
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.251418
protrusion 6 0
total protrusion 2.31625
connectivity 0 3 180.449
connectivity 1 2 216.222
connectivity 3 4 79.4436
connectivity 4 5 189.274
total connect 665.389
total separate 0
total block 0
DEBUG: time 1092 iteration 28
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 24.0777
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 16.8179
overlap 3 5 9.88424
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 50.7798
protrusion 0 6.00512
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 3.04403
protrusion 6 0
total protrusion 9.04914
connectivity 0 3 180.494
connectivity 1 2 214.26
connectivity 3 4 77.7166
connectivity 4 5 187.737
total connect 660.207
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 19.0455
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 21.5137
overlap 3 5 14.3514
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 54.9106
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.80048
protrusion 6 0
total protrusion 2.80048
connectivity 0 3 179.427
connectivity 1 2 212.494
connectivity 3 4 76.1624
connectivity 4 5 184.507
total connect 652.591
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 10.2716
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 44.4918
overlap 3 5 17.525
overlap 3 6 0
overlap 4 5 0
overlap 4 6 2.43714
overlap 5 6 0
total overlap = 74.7254
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.32733
protrusion 6 0
total protrusion 1.32733
connectivity 0 3 175.445
connectivity 1 2 208.928
connectivity 3 4 70.1713
connectivity 4 5 178.186
total connect 632.731
total separate 0
total block 0
DEBUG: time 1118 iteration 29
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 5.45345
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 2.84563
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 47.3086
overlap 3 5 19.5766
overlap 3 6 0
overlap 4 5 0
overlap 4 6 4.40233
overlap 5 6 0
total overlap = 79.5866
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.75507
protrusion 6 0.0944973
total protrusion 2.84957
connectivity 0 3 175.222
connectivity 1 2 205.719
connectivity 3 4 69.6027
connectivity 4 5 176.555
total connect 627.099
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.03667
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 18.5312
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 49.9589
overlap 3 5 26.3705
overlap 3 6 0
overlap 4 5 0
overlap 4 6 6.57031
overlap 5 6 0
total overlap = 103.468
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.25156
protrusion 6 0
total protrusion 1.25156
connectivity 0 3 175.067
connectivity 1 2 202.831
connectivity 3 4 69.0919
connectivity 4 5 173.253
total connect 620.243
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 28.1427
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 77.0317
overlap 3 5 31.871
overlap 3 6 0
overlap 4 5 0
overlap 4 6 13.3569
overlap 5 6 0
total overlap = 150.402
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 171.917
connectivity 1 2 198.254
connectivity 3 4 64.0617
connectivity 4 5 166.887
total connect 601.12
total separate 0
total block 0
DEBUG: time 1144 iteration 30
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 24.2655
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 94.4742
overlap 3 5 26.9621
overlap 3 6 0
overlap 4 5 0
overlap 4 6 13.8372
overlap 5 6 0
total overlap = 159.539
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 169.195
connectivity 1 2 195.801
connectivity 3 4 61.7082
connectivity 4 5 165.492
total connect 592.197
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 17.1757
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 138.543
overlap 3 5 21.2289
overlap 3 6 0
overlap 4 5 0
overlap 4 6 19.4004
overlap 5 6 0
total overlap = 196.348
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 163.694
connectivity 1 2 191.619
connectivity 3 4 55.1793
connectivity 4 5 160.884
total connect 571.375
total separate 0
total block 0
DEBUG: time 1161 iteration 31
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 1.13502
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 167.21
overlap 3 5 7.19356
overlap 3 6 0
overlap 4 5 0
overlap 4 6 17.6743
overlap 5 6 0
total overlap = 193.212
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.0852331
protrusion 6 0
total protrusion 0.0852331
connectivity 0 3 159.466
connectivity 1 2 189.545
connectivity 3 4 52.3053
connectivity 4 5 161.037
total connect 562.353
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 193.788
overlap 3 5 0.0693132
overlap 3 6 0
overlap 4 5 0
overlap 4 6 16.0877
overlap 5 6 0
total overlap = 209.945
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 155.692
connectivity 1 2 187.684
connectivity 3 4 49.9871
connectivity 4 5 159.358
total connect 552.721
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 242.184
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 19.8207
overlap 5 6 0
total overlap = 262.005
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 149.268
connectivity 1 2 184.038
connectivity 3 4 43.9437
connectivity 4 5 154.661
total connect 531.911
total separate 0
total block 0
DEBUG: time 1186 iteration 32
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 255.908
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 16.2072
overlap 5 6 0
total overlap = 272.115
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 145.325
connectivity 1 2 180.761
connectivity 3 4 42.2719
connectivity 4 5 152.732
total connect 521.09
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 293.544
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 17.9784
overlap 5 6 0
total overlap = 311.522
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 138.732
connectivity 1 2 175.839
connectivity 3 4 36.7539
connectivity 4 5 147.963
total connect 499.288
total separate 0
total block 0
DEBUG: time 1202 iteration 33
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 299.342
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 12.8963
overlap 5 6 0
total overlap = 312.239
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 134.678
connectivity 1 2 171.412
connectivity 3 4 35.0373
connectivity 4 5 145.887
total connect 487.014
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 325.165
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 13.1034
overlap 5 6 0
total overlap = 338.269
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 128.004
connectivity 1 2 165.453
connectivity 3 4 29.4645
connectivity 4 5 141.096
total connect 464.017
total separate 0
total block 0
DEBUG: time 1219 iteration 34
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.244
overlap 3 5 0.0644883
overlap 3 6 0
overlap 4 5 0
overlap 4 6 7.4744
overlap 5 6 0
total overlap = 333.783
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 124.061
connectivity 1 2 160.093
connectivity 3 4 27.7942
connectivity 4 5 138.824
total connect 450.773
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.30367
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 342.321
overlap 3 5 6.06818
overlap 3 6 0
overlap 4 5 0
overlap 4 6 6.83608
overlap 5 6 0
total overlap = 358.529
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 117.52
connectivity 1 2 153.295
connectivity 3 4 22.2874
connectivity 4 5 133.896
total connect 426.998
total separate 0
total block 0
DEBUG: time 1237 iteration 35
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 7.59588
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 5.36848
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 347.209
overlap 3 5 1.3881
overlap 3 6 0
overlap 4 5 0
overlap 4 6 1.83774
overlap 5 6 0
total overlap = 363.399
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 111.918
connectivity 1 2 151.132
connectivity 3 4 20.4109
connectivity 4 5 132.939
total connect 416.4
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 18.7975
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 9.51463
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 356.909
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 1.10343
overlap 5 6 0
total overlap = 386.325
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 103.877
connectivity 1 2 147.211
connectivity 3 4 15.2769
connectivity 4 5 129.295
total connect 395.661
total separate 0
total block 0
DEBUG: time 1256 iteration 36
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 21.851
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 9.07181
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 357.049
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 387.972
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 100.066
connectivity 1 2 147.536
connectivity 3 4 15.0621
connectivity 4 5 126.363
total connect 389.027
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 1.38766
overlap 0 2 0
overlap 0 3 27.6821
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.7805
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.359669
overlap 2 5 0
overlap 2 6 0
overlap 3 4 358.747
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 398.956
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 93.807
connectivity 1 2 145.852
connectivity 3 4 12.3171
connectivity 4 5 121.311
total connect 373.287
total separate 0
total block 0
DEBUG: time 1275 iteration 37
DEBUG: fixing overlap
overlap 0 1 1.23632
overlap 0 2 0
overlap 0 3 27.9952
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 8.34125
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.02381
overlap 2 5 0
overlap 2 6 0
overlap 3 4 350.048
overlap 3 5 0.960214
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 389.605
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 91.8934
connectivity 1 2 147.652
connectivity 3 4 15.4977
connectivity 4 5 114.313
total connect 369.357
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 1.88381
overlap 0 2 0
overlap 0 3 30.1852
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 8.11302
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 4.25458
overlap 2 5 0
overlap 2 6 0
overlap 3 4 339.624
overlap 3 5 5.77908
overlap 3 6 0
overlap 4 5 0.564137
overlap 4 6 1.70354
overlap 5 6 0
total overlap = 392.108
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 87.7794
connectivity 1 2 147.319
connectivity 3 4 17.9256
connectivity 4 5 106.411
total connect 359.435
total separate 0
total block 0
DEBUG: time 1295 iteration 38
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 33.3244
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 5.01678
overlap 1 3 0.891751
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 6.12986
overlap 2 5 0
overlap 2 6 0
overlap 3 4 307.515
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.8627
overlap 4 6 5.65573
overlap 5 6 3.76355
total overlap = 370.16
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 84.579
connectivity 1 2 150.225
connectivity 3 4 25.9441
connectivity 4 5 99.0077
total connect 359.756
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 36.9845
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.93427
overlap 1 3 9.41077
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.56061
overlap 2 5 0
overlap 2 6 0
overlap 3 4 262.976
overlap 3 5 0
overlap 3 6 0
overlap 4 5 25.2343
overlap 4 6 7.89023
overlap 5 6 7.98142
total overlap = 359.972
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.276309
protrusion 5 0
protrusion 6 0
total protrusion 0.276309
connectivity 0 3 79.8529
connectivity 1 2 150.91
connectivity 3 4 32.1641
connectivity 4 5 91.1885
total connect 354.115
total separate 0
total block 0
DEBUG: time 1320 iteration 39
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 43.8331
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.56937
overlap 1 3 17.1734
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.35664
overlap 2 5 0
overlap 2 6 0
overlap 3 4 182.614
overlap 3 5 0
overlap 3 6 0
overlap 4 5 45.0832
overlap 4 6 14.2081
overlap 5 6 9.88222
total overlap = 319.72
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 4.80187
protrusion 5 0
protrusion 6 0.389147
total protrusion 5.19102
connectivity 0 3 75.4385
connectivity 1 2 155.291
connectivity 3 4 42.4869
connectivity 4 5 84.0686
total connect 357.285
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 52.9349
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.219001
overlap 1 3 24.1597
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 6.89716
overlap 2 5 0
overlap 2 6 0
overlap 3 4 120.697
overlap 3 5 0
overlap 3 6 0
overlap 4 5 59.5538
overlap 4 6 20.698
overlap 5 6 11.721
total overlap = 296.88
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 5.95928
protrusion 5 0
protrusion 6 0
total protrusion 5.95928
connectivity 0 3 71.5636
connectivity 1 2 159.241
connectivity 3 4 51.3723
connectivity 4 5 78.948
total connect 361.125
total separate 0
part 0 blocked by volume of 2.93191
total block 2.93191
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 59.0309
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 30.0282
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.72195
overlap 2 5 0
overlap 2 6 0
overlap 3 4 86.4115
overlap 3 5 0
overlap 3 6 0
overlap 4 5 78.9165
overlap 4 6 24.1836
overlap 5 6 13.8439
total overlap = 298.137
protrusion 0 0
protrusion 1 10.5501
protrusion 2 0
protrusion 3 0
protrusion 4 12.0878
protrusion 5 0
protrusion 6 0
total protrusion 22.6379
connectivity 0 3 66.6932
connectivity 1 2 160.825
connectivity 3 4 58.4311
connectivity 4 5 72.9136
total connect 358.863
total separate 0
part 0 blocked by volume of 11.2058
total block 11.2058
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 9.6
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 54.1223
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.72195
overlap 2 5 0
overlap 2 6 0
overlap 3 4 53.0346
overlap 3 5 0
overlap 3 6 0
overlap 4 5 78.9165
overlap 4 6 24.1836
overlap 5 6 13.8439
total overlap = 239.423
protrusion 0 0
protrusion 1 10.5501
protrusion 2 0
protrusion 3 0
protrusion 4 12.0878
protrusion 5 0
protrusion 6 0
total protrusion 22.6379
connectivity 0 3 161.877
connectivity 1 2 160.825
connectivity 3 4 95.2413
connectivity 4 5 72.9136
total connect 490.857
total separate 0
total block 0
DEBUG: time 1397 iteration 40
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 6.2139
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 41.4357
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 4.06676
overlap 2 5 0
overlap 2 6 0
overlap 3 4 70.1464
overlap 3 5 0
overlap 3 6 0
overlap 4 5 64.5048
overlap 4 6 17.6298
overlap 5 6 13.074
total overlap = 217.071
protrusion 0 10.6098
protrusion 1 10.6644
protrusion 2 0
protrusion 3 0
protrusion 4 8.76256
protrusion 5 0
protrusion 6 0
total protrusion 30.0367
connectivity 0 3 165.234
connectivity 1 2 163.508
connectivity 3 4 91.8516
connectivity 4 5 77.6395
total connect 498.233
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 4.84101
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 40.4647
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 4.40054
overlap 2 5 0
overlap 2 6 0
overlap 3 4 86.4918
overlap 3 5 0
overlap 3 6 0
overlap 4 5 46.9336
overlap 4 6 11.8046
overlap 5 6 12.3303
total overlap = 207.267
protrusion 0 8.08828
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 2.03951
protrusion 5 0
protrusion 6 0
total protrusion 10.1278
connectivity 0 3 166.827
connectivity 1 2 165.383
connectivity 3 4 86.8072
connectivity 4 5 83.1707
total connect 502.187
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 5.84516
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 36.9032
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 7.74002
overlap 2 5 0
overlap 2 6 0
overlap 3 4 95.5724
overlap 3 5 0
overlap 3 6 0
overlap 4 5 35.6213
overlap 4 6 10.1503
overlap 5 6 12.2918
total overlap = 204.124
protrusion 0 6.03029
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.372786
total protrusion 6.40307
connectivity 0 3 165.576
connectivity 1 2 165.179
connectivity 3 4 80.0309
connectivity 4 5 86.8501
total connect 497.637
total separate 0
total block 0
DEBUG: time 1427 iteration 41
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 7.04537
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 20.6214
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 10.2091
overlap 2 5 0
overlap 2 6 0
overlap 3 4 102.573
overlap 3 5 0
overlap 3 6 0
overlap 4 5 18.1238
overlap 4 6 5.19638
overlap 5 6 10.8076
total overlap = 174.577
protrusion 0 10.4636
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.854
total protrusion 12.3176
connectivity 0 3 163.956
connectivity 1 2 167.607
connectivity 3 4 71.3498
connectivity 4 5 94.5441
total connect 497.457
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 9.16663
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 13.9136
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 12.1189
overlap 2 5 0
overlap 2 6 0
overlap 3 4 108.957
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.15417
overlap 4 6 1.82687
overlap 5 6 9.851
total overlap = 164.988
protrusion 0 7.70074
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.56228
total protrusion 9.26301
connectivity 0 3 160.993
connectivity 1 2 169.847
connectivity 3 4 64.2054
connectivity 4 5 101.699
total connect 496.745
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 12.6305
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 10.3059
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 10.685
overlap 2 5 0
overlap 2 6 0
overlap 3 4 125.726
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.52467
overlap 4 6 0.000293032
overlap 5 6 9.53316
total overlap = 172.406
protrusion 0 2.18809
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.29973
total protrusion 3.48782
connectivity 0 3 155.858
connectivity 1 2 169.929
connectivity 3 4 56.6389
connectivity 4 5 107.121
total connect 489.547
total separate 0
total block 0
DEBUG: time 1456 iteration 42
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 15.2338
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 6.84005
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 9.57362
overlap 2 5 0
overlap 2 6 0
overlap 3 4 117.081
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.784506
overlap 4 6 0
overlap 5 6 6.06463
total overlap = 155.577
protrusion 0 0.892543
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.68607
total protrusion 2.57861
connectivity 0 3 152.414
connectivity 1 2 173.523
connectivity 3 4 55.3138
connectivity 4 5 110.924
total connect 492.174
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 18.722
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 3.72078
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 8.59819
overlap 2 5 0
overlap 2 6 0
overlap 3 4 109.841
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.00910239
overlap 4 6 0
overlap 5 6 3.21818
total overlap = 144.109
protrusion 0 3.41697
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.408959
total protrusion 3.82593
connectivity 0 3 147.851
connectivity 1 2 176.83
connectivity 3 4 54.8425
connectivity 4 5 114.349
total connect 493.873
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 22.9311
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.46663
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.90851
overlap 2 5 0
overlap 2 6 0
overlap 3 4 113.28
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 1.40458
total overlap = 144.99
protrusion 0 6.03491
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 6.03491
connectivity 0 3 141.605
connectivity 1 2 177.887
connectivity 3 4 53.0131
connectivity 4 5 115.873
total connect 488.379
total separate 0
total block 0
DEBUG: time 1485 iteration 43
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 24.044
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 4.19411
overlap 2 5 0
overlap 2 6 0
overlap 3 4 98.1031
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.233096
overlap 5 6 0
total overlap = 126.574
protrusion 0 17.9465
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 17.9465
connectivity 0 3 138.323
connectivity 1 2 182.485
connectivity 3 4 55.8937
connectivity 4 5 116.432
total connect 493.134
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 26.1993
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.83819
overlap 2 5 0
overlap 2 6 0
overlap 3 4 84.8483
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 1.23474
overlap 5 6 0
total overlap = 115.121
protrusion 0 18.5377
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 18.5377
connectivity 0 3 134.509
connectivity 1 2 186.697
connectivity 3 4 58.5977
connectivity 4 5 116.965
total connect 496.769
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 27.0727
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.961084
overlap 2 5 0
overlap 2 6 0
overlap 3 4 81.7243
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 2.82372
overlap 5 6 0
total overlap = 112.582
protrusion 0 16.3708
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.936264
protrusion 6 0
total protrusion 17.307
connectivity 0 3 129.118
connectivity 1 2 188.568
connectivity 3 4 59.2071
connectivity 4 5 115.783
total connect 492.676
total separate 0
total block 0
DEBUG: time 1513 iteration 44
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 28.905
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.127348
overlap 2 5 0
overlap 2 6 0
overlap 3 4 58.116
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 6.52287
overlap 5 6 0
total overlap = 93.6713
protrusion 0 24.5497
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 3.53654
protrusion 6 0
total protrusion 28.0863
connectivity 0 3 124.029
connectivity 1 2 191.649
connectivity 3 4 64.7238
connectivity 4 5 112.559
total connect 492.961
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 33.9305
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 38.8078
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.0161131
overlap 4 6 10.9117
overlap 5 6 0
total overlap = 83.6661
protrusion 0 21.7816
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 3.04673
protrusion 6 0
total protrusion 24.8283
connectivity 0 3 118.513
connectivity 1 2 194.491
connectivity 3 4 69.7155
connectivity 4 5 107.965
total connect 490.685
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 37.4194
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 29.2705
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.55933
overlap 4 6 16.3394
overlap 5 6 0
total overlap = 86.5887
protrusion 0 16.3922
protrusion 1 0
protrusion 2 9.47373
protrusion 3 0
protrusion 4 0
protrusion 5 1.43221
protrusion 6 0
total protrusion 27.2981
connectivity 0 3 111.693
connectivity 1 2 195.125
connectivity 3 4 72.4465
connectivity 4 5 102.151
total connect 481.416
total separate 0
total block 0
DEBUG: time 1539 iteration 45
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 42.9851
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 4.36451
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.705
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.68316
overlap 4 6 21.535
overlap 5 6 0
total overlap = 88.2728
protrusion 0 21.6708
protrusion 1 0
protrusion 2 20.8133
protrusion 3 0
protrusion 4 0
protrusion 5 1.91801
protrusion 6 0
total protrusion 44.4021
connectivity 0 3 105.298
connectivity 1 2 195.738
connectivity 3 4 78.7766
connectivity 4 5 98.5994
total connect 478.412
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 57.5314
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 11.1804
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.431497
overlap 3 5 0
overlap 3 6 0
overlap 4 5 18.8891
overlap 4 6 26.6642
overlap 5 6 0
total overlap = 114.697
protrusion 0 16.2925
protrusion 1 0
protrusion 2 23.0321
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 39.3246
connectivity 0 3 98.5382
connectivity 1 2 196.299
connectivity 3 4 84.535
connectivity 4 5 93.6388
total connect 473.011
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 71.2122
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 17.5089
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 34.8536
overlap 4 6 32.7431
overlap 5 6 0
total overlap = 156.318
protrusion 0 8.34717
protrusion 1 0
protrusion 2 24.9915
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 33.3387
connectivity 0 3 90.7187
connectivity 1 2 194.83
connectivity 3 4 88.0409
connectivity 4 5 87.4018
total connect 460.991
total separate 0
total block 0
DEBUG: time 1567 iteration 46
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 66.7872
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 12.2349
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 37.5137
overlap 4 6 30.3053
overlap 5 6 0
total overlap = 146.841
protrusion 0 11.2928
protrusion 1 0
protrusion 2 26.755
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 38.0478
connectivity 0 3 86.5569
connectivity 1 2 195.688
connectivity 3 4 86.7203
connectivity 4 5 86.5912
total connect 455.557
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 70.483
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 7.48825
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.0287108
overlap 3 5 0
overlap 3 6 0
overlap 4 5 39.9952
overlap 4 6 27.7766
overlap 5 6 0.24501
total overlap = 146.017
protrusion 0 3.81465
protrusion 1 0
protrusion 2 20.3554
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.444735
total protrusion 24.6148
connectivity 0 3 81.9122
connectivity 1 2 196.438
connectivity 3 4 85.5943
connectivity 4 5 85.8851
total connect 449.83
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 73.0104
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 3.33154
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.05124
overlap 3 5 0
overlap 3 6 0
overlap 4 5 48.7569
overlap 4 6 25.1707
overlap 5 6 1.93279
total overlap = 155.254
protrusion 0 0
protrusion 1 0
protrusion 2 14.5583
protrusion 3 0
protrusion 4 0.447744
protrusion 5 0
protrusion 6 1.33872
total protrusion 16.3447
connectivity 0 3 76.4766
connectivity 1 2 195.142
connectivity 3 4 83.1105
connectivity 4 5 83.5365
total connect 438.266
total separate 0
part 1 blocked by volume of 1.77636e-15
total block 1.77636e-15
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 75.2954
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 4.55137
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 7.68446
overlap 3 5 0
overlap 3 6 0
overlap 4 5 57.1242
overlap 4 6 21.4775
overlap 5 6 3.38564
total overlap = 169.518
protrusion 0 0
protrusion 1 0
protrusion 2 9.34082
protrusion 3 0
protrusion 4 5.85778
protrusion 5 0
protrusion 6 2.14331
total protrusion 17.3419
connectivity 0 3 72.0139
connectivity 1 2 191.802
connectivity 3 4 80.9008
connectivity 4 5 81.585
total connect 426.302
total separate 0
total block 0
DEBUG: time 1602 iteration 47
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 50.4195
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 25.8522
overlap 3 5 0
overlap 3 6 0
overlap 4 5 50.14
overlap 4 6 10.909
overlap 5 6 4.21329
total overlap = 141.534
protrusion 0 0
protrusion 1 0
protrusion 2 4.64513
protrusion 3 0
protrusion 4 9.90126
protrusion 5 0
protrusion 6 3.11856
total protrusion 17.6649
connectivity 0 3 71.8648
connectivity 1 2 190.979
connectivity 3 4 74.8301
connectivity 4 5 84.6364
total connect 422.31
total separate 0
part 0 blocked by volume of 2.99015
total block 2.99015
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 29.4808
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 45.3038
overlap 3 5 0
overlap 3 6 0
overlap 4 5 39.2339
overlap 4 6 3.49086
overlap 5 6 5.28286
total overlap = 122.792
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 8.46105
protrusion 5 0
protrusion 6 2.37148
total protrusion 10.8325
connectivity 0 3 72.395
connectivity 1 2 190.272
connectivity 3 4 70.2241
connectivity 4 5 88.3774
total connect 421.269
total separate 0
part 0 blocked by volume of 7.89974
total block 7.89974
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 18.6263
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 67.0397
overlap 3 5 0
overlap 3 6 0
overlap 4 5 37.0376
overlap 4 6 0
overlap 5 6 6.98197
total overlap = 129.686
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 12.5789
protrusion 5 0
protrusion 6 1.69911
total protrusion 14.278
connectivity 0 3 72.6164
connectivity 1 2 187.694
connectivity 3 4 65.5325
connectivity 4 5 89.8903
total connect 415.733
total separate 0
part 0 blocked by volume of 12.4929
total block 12.4929
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 37.6
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 31.7053
overlap 3 5 0
overlap 3 6 0
overlap 4 5 37.0376
overlap 4 6 0
overlap 5 6 6.98197
total overlap = 113.325
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 12.5789
protrusion 5 0
protrusion 6 1.69911
total protrusion 14.278
connectivity 0 3 76.1412
connectivity 1 2 187.694
connectivity 3 4 78.7635
connectivity 4 5 89.8903
total connect 432.489
total separate 0
total block 0
DEBUG: time 1677 iteration 48
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 33.2122
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 25.8418
overlap 3 5 0
overlap 3 6 0
overlap 4 5 27.8391
overlap 4 6 0.236618
overlap 5 6 4.9895
total overlap = 92.1192
protrusion 0 9.86055
protrusion 1 0
protrusion 2 0
protrusion 3 8.54892
protrusion 4 7.23144
protrusion 5 0
protrusion 6 2.45726
total protrusion 28.0982
connectivity 0 3 75.8631
connectivity 1 2 187.694
connectivity 3 4 82.0319
connectivity 4 5 92.7005
total connect 438.289
total separate 0
part 0 blocked by volume of 2.2363
total block 2.2363
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 34.5063
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 20.3842
overlap 3 5 0
overlap 3 6 0
overlap 4 5 16.691
overlap 4 6 0.859353
overlap 5 6 3.25248
total overlap = 75.6933
protrusion 0 8.60588
protrusion 1 0
protrusion 2 0
protrusion 3 7.39762
protrusion 4 0.32232
protrusion 5 0
protrusion 6 1.51479
total protrusion 17.8406
connectivity 0 3 75.1992
connectivity 1 2 187.694
connectivity 3 4 85.4228
connectivity 4 5 96.3796
total connect 444.695
total separate 0
part 0 blocked by volume of 2.38225
total block 2.38225
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 44.9463
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.955487
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 16.8429
overlap 3 5 0
overlap 3 6 0
overlap 4 5 13.695
overlap 4 6 1.9463
overlap 5 6 2.28341
total overlap = 80.6694
protrusion 0 3.00886
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.666562
total protrusion 3.67542
connectivity 0 3 73.6371
connectivity 1 2 185.716
connectivity 3 4 87.0112
connectivity 4 5 97.4186
total connect 443.783
total separate 0
part 0 blocked by volume of 1.22474
total block 1.22474
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 53.4
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 59.6056
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 5.24602
overlap 3 5 0
overlap 3 6 0
overlap 4 5 13.695
overlap 4 6 1.9463
overlap 5 6 2.28341
total overlap = 136.176
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.666562
total protrusion 0.666562
connectivity 0 3 148.236
connectivity 1 2 185.716
connectivity 3 4 100.436
connectivity 4 5 97.4186
total connect 531.808
total separate 0
total block 0
DEBUG: time 1756 iteration 49
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 47.2646
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 55.2021
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.09085
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.35067
overlap 4 6 0.297164
overlap 5 6 1.31928
total overlap = 114.525
protrusion 0 6.67836
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.18715
protrusion 6 1.36328
total protrusion 9.22879
connectivity 0 3 149.917
connectivity 1 2 186.938
connectivity 3 4 99.861
connectivity 4 5 101.479
total connect 538.195
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 47.3077
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 51.4196
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 1.50046
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.34015
overlap 4 6 0
overlap 5 6 2.50006
total overlap = 107.068
protrusion 0 5.93611
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.657884
protrusion 6 0.365521
total protrusion 6.95951
connectivity 0 3 149.78
connectivity 1 2 188.052
connectivity 3 4 99.4146
connectivity 4 5 103.35
total connect 540.596
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 56.2287
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 42.1174
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.247801
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.85607
overlap 4 6 0
overlap 5 6 4.55956
total overlap = 105.01
protrusion 0 1.9046
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 1.9046
connectivity 0 3 146.844
connectivity 1 2 187.089
connectivity 3 4 97.1231
connectivity 4 5 104.04
total connect 535.096
total separate 0
total block 0
DEBUG: time 1786 iteration 50
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 61.1685
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 31.8591
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.356257
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.0413359
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.189533
overlap 4 6 0.618511
overlap 5 6 3.55712
total overlap = 97.7903
protrusion 0 4.90732
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.10775
protrusion 6 0
total protrusion 5.01507
connectivity 0 3 145.384
connectivity 1 2 187.673
connectivity 3 4 93.6265
connectivity 4 5 106.845
total connect 533.529
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 71.1183
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 25.5906
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 3.67409
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.92375
overlap 4 6 1.25487
overlap 5 6 4.91435
total overlap = 108.476
protrusion 0 0.856996
protrusion 1 18.4269
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 19.2839
connectivity 0 3 142.395
connectivity 1 2 188.238
connectivity 3 4 91.031
connectivity 4 5 108.084
total connect 529.748
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 90.2324
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 19.3197
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 6.68644
overlap 2 5 0
overlap 2 6 0
overlap 3 4 2.1682
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.3101
overlap 4 6 1.09596
overlap 5 6 6.99103
total overlap = 130.804
protrusion 0 0
protrusion 1 36.1149
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 36.1149
connectivity 0 3 137.011
connectivity 1 2 186.801
connectivity 3 4 86.8071
connectivity 4 5 108.019
total connect 518.639
total separate 0
total block 0
DEBUG: time 1814 iteration 51
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 94.8941
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 8.28319
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.14227
overlap 2 5 0
overlap 2 6 0
overlap 3 4 11.3266
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.54743
overlap 4 6 0.356958
overlap 5 6 5.58293
total overlap = 127.133
protrusion 0 0
protrusion 1 52.0342
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 52.0342
connectivity 0 3 136.033
connectivity 1 2 188.66
connectivity 3 4 81.9276
connectivity 4 5 110.443
total connect 517.063
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 99.2088
overlap 0 4 1.23203
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 3.9057
overlap 2 5 0
overlap 2 6 0
overlap 3 4 22.711
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.213135
overlap 4 6 0.0280778
overlap 5 6 4.36305
total overlap = 131.662
protrusion 0 0
protrusion 1 50.0156
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 50.0156
connectivity 0 3 135.167
connectivity 1 2 190.112
connectivity 3 4 77.5402
connectivity 4 5 112.629
total connect 515.447
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 114.097
overlap 0 4 6.27065
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.55131
overlap 2 5 0
overlap 2 6 0
overlap 3 4 44.3387
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 4.05173
total overlap = 170.31
protrusion 0 0
protrusion 1 47.4102
protrusion 2 1.20823
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 48.6184
connectivity 0 3 131.775
connectivity 1 2 189.455
connectivity 3 4 71.2636
connectivity 4 5 113.09
total connect 505.584
total separate 0
total block 0
DEBUG: time 1842 iteration 52
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 115.191
overlap 0 4 6.80775
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.261164
overlap 2 5 0
overlap 2 6 0
overlap 3 4 48.5633
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.00386894
overlap 5 6 0.907857
total overlap = 171.735
protrusion 0 0
protrusion 1 45.0653
protrusion 2 12.5363
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.562372
total protrusion 58.164
connectivity 0 3 131.744
connectivity 1 2 189.907
connectivity 3 4 70.4014
connectivity 4 5 112.665
total connect 504.718
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 116.177
overlap 0 4 7.30246
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0185923
overlap 2 5 0
overlap 2 6 0
overlap 3 4 52.4528
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.39551
overlap 5 6 0
total overlap = 176.346
protrusion 0 0
protrusion 1 26.6091
protrusion 2 14.7448
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 41.3539
connectivity 0 3 131.721
connectivity 1 2 190.327
connectivity 3 4 69.6369
connectivity 4 5 112.352
total connect 504.037
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 128.67
overlap 0 4 10.0377
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 66.3314
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.737235
overlap 5 6 0
total overlap = 205.776
protrusion 0 0
protrusion 1 9.52901
protrusion 2 16.9619
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 26.4909
connectivity 0 3 129.068
connectivity 1 2 188.769
connectivity 3 4 66.8119
connectivity 4 5 110.825
total connect 495.474
total separate 0
total block 0
DEBUG: time 1869 iteration 53
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 126.931
overlap 0 4 6.90965
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 60.1373
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.774692
overlap 4 6 2.69208
overlap 5 6 0
total overlap = 197.444
protrusion 0 3.99412
protrusion 1 0
protrusion 2 18.9572
protrusion 3 0
protrusion 4 0
protrusion 5 0.322404
protrusion 6 0
total protrusion 23.2737
connectivity 0 3 129.595
connectivity 1 2 187.399
connectivity 3 4 69.0282
connectivity 4 5 107.297
total connect 493.319
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 131.726
overlap 0 4 4.42137
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 54.699
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.35112
overlap 4 6 5.2305
overlap 5 6 0
total overlap = 200.428
protrusion 0 2.9922
protrusion 1 0
protrusion 2 12.7663
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 15.7585
connectivity 0 3 128.381
connectivity 1 2 186.235
connectivity 3 4 71.0533
connectivity 4 5 102.414
total connect 488.084
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 148.251
overlap 0 4 4.17106
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 59.5006
overlap 3 5 0
overlap 3 6 0
overlap 4 5 13.8566
overlap 4 6 6.59816
overlap 5 6 0.0699177
total overlap = 232.447
protrusion 0 0
protrusion 1 0
protrusion 2 7.30602
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 7.30602
connectivity 0 3 124.612
connectivity 1 2 183.211
connectivity 3 4 70.9615
connectivity 4 5 96.9894
total connect 475.774
total separate 0
total block 0
DEBUG: time 1897 iteration 54
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 148.95
overlap 0 4 1.02669
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 46.9664
overlap 3 5 0
overlap 3 6 0
overlap 4 5 24.3411
overlap 4 6 10.295
overlap 5 6 0.870598
total overlap = 232.449
protrusion 0 1.61078
protrusion 1 0
protrusion 2 2.39175
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 4.00253
connectivity 0 3 124.121
connectivity 1 2 180.49
connectivity 3 4 74.7574
connectivity 4 5 92.6638
total connect 472.032
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 155.924
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 36.4134
overlap 3 5 0
overlap 3 6 0
overlap 4 5 35.2637
overlap 4 6 14.0019
overlap 5 6 1.56435
total overlap = 243.167
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 121.994
connectivity 1 2 178.089
connectivity 3 4 78.1777
connectivity 4 5 88.8136
total connect 467.075
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 174.145
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 27.7141
overlap 3 5 0
overlap 3 6 0
overlap 4 5 47.3347
overlap 4 6 19.9451
overlap 5 6 2.75352
total overlap = 271.893
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 117.367
connectivity 1 2 173.962
connectivity 3 4 79.4007
connectivity 4 5 84.2923
total connect 455.022
total separate 0
total block 0
DEBUG: time 1926 iteration 55
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 174.548
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.23981
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.407423
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.4689
overlap 3 5 0
overlap 3 6 0
overlap 4 5 44.8421
overlap 4 6 19.6111
overlap 5 6 3.2146
total overlap = 263.332
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 115.701
connectivity 1 2 170.257
connectivity 3 4 80.5476
connectivity 4 5 84.6471
total connect 451.152
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 185.434
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 8.25881
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.09415
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.3731
overlap 3 5 0
overlap 3 6 0
overlap 4 5 47.4972
overlap 4 6 17.5901
overlap 5 6 4.15626
total overlap = 284.403
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 111.558
connectivity 1 2 164.952
connectivity 3 4 79.7651
connectivity 4 5 83.8522
total connect 440.128
total separate 0
part 0 blocked by volume of 2.84217e-14
total block 2.84217e-14
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 12
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.09415
overlap 2 5 0
overlap 2 6 0
overlap 3 4 33.3994
overlap 3 5 0
overlap 3 6 0
overlap 4 5 47.4972
overlap 4 6 17.5901
overlap 5 6 4.15626
total overlap = 116.737
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 87.467
connectivity 1 2 164.952
connectivity 3 4 81.1276
connectivity 4 5 83.8522
total connect 417.399
total separate 0
total block 0
DEBUG: time 1992 iteration 56
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 11.1929
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.70643
overlap 2 5 0
overlap 2 6 0
overlap 3 4 29.5574
overlap 3 5 0
overlap 3 6 0
overlap 4 5 34.2453
overlap 4 6 12.2221
overlap 5 6 3.57796
total overlap = 91.5021
protrusion 0 10.1008
protrusion 1 0
protrusion 2 0
protrusion 3 6.38033
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 16.4811
connectivity 0 3 86.8711
connectivity 1 2 166.394
connectivity 3 4 83.4814
connectivity 4 5 88.3334
total connect 425.079
total separate 0
part 0 blocked by volume of 0.503329
total block 0.503329
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 14.4073
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.393085
overlap 2 5 0
overlap 2 6 0
overlap 3 4 28.5902
overlap 3 5 0
overlap 3 6 0
overlap 4 5 23.3492
overlap 4 6 7.97588
overlap 5 6 3.00044
total overlap = 77.7161
protrusion 0 9.06235
protrusion 1 0
protrusion 2 0
protrusion 3 3.27728
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 12.3396
connectivity 0 3 85.7469
connectivity 1 2 167.696
connectivity 3 4 84.1842
connectivity 4 5 92.3809
total connect 430.008
total separate 0
part 0 blocked by volume of 0.391888
total block 0.391888
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 21.5812
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 28.014
overlap 3 5 0
overlap 3 6 0
overlap 4 5 21.305
overlap 4 6 5.41795
overlap 5 6 3.04332
total overlap = 79.3614
protrusion 0 3.55717
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 3.55717
connectivity 0 3 83.6438
connectivity 1 2 166.896
connectivity 3 4 83.0276
connectivity 4 5 93.4679
total connect 427.035
total separate 0
total block 0
DEBUG: time 2022 iteration 57
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 26.9402
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.833638
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0228516
overlap 2 5 0
overlap 2 6 0
overlap 3 4 22.4275
overlap 3 5 0
overlap 3 6 0
overlap 4 5 11.1296
overlap 4 6 1.33017
overlap 5 6 2.37458
total overlap = 65.0586
protrusion 0 8.73168
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.806481
protrusion 6 0
total protrusion 9.53816
connectivity 0 3 81.3234
connectivity 1 2 166.179
connectivity 3 4 85.2986
connectivity 4 5 98.3363
total connect 431.137
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 35.1397
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 3.60882
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0638606
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.5006
overlap 3 5 0
overlap 3 6 0
overlap 4 5 6.97037
overlap 4 6 0
overlap 5 6 3.36916
total overlap = 67.6525
protrusion 0 3.25957
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.933936
protrusion 6 0.162881
total protrusion 4.35639
connectivity 0 3 77.7914
connectivity 1 2 165.536
connectivity 3 4 87.3431
connectivity 4 5 100.904
total connect 431.574
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 59.0895
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 8.96402
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 16.2499
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.67875
overlap 4 6 0
overlap 5 6 4.94158
total overlap = 96.9237
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.818723
total protrusion 0.818723
connectivity 0 3 73.7304
connectivity 1 2 162.983
connectivity 3 4 87.6236
connectivity 4 5 100.702
total connect 425.039
total separate 0
total block 0
DEBUG: time 2051 iteration 58
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 66.3515
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 10.3267
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 13.2714
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.00806
overlap 4 6 0
overlap 5 6 4.37444
total overlap = 99.3321
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.3266
protrusion 6 1.97533
total protrusion 3.30193
connectivity 0 3 73.1619
connectivity 1 2 162.487
connectivity 3 4 89.0517
connectivity 4 5 102.459
total connect 427.16
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 72.7931
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 11.5903
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0468758
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.7284
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.95006
overlap 4 6 0
overlap 5 6 5.86353
total overlap = 104.972
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.39147
total protrusion 1.39147
connectivity 0 3 72.6743
connectivity 1 2 162.042
connectivity 3 4 90.3551
connectivity 4 5 102.283
total connect 427.355
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 75.8423
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 11.2558
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.6758
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.08979
overlap 4 6 0
overlap 5 6 8.01321
total overlap = 112.877
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.865994
total protrusion 0.865994
connectivity 0 3 71.3934
connectivity 1 2 159.667
connectivity 3 4 90.0766
connectivity 4 5 99.6821
total connect 420.819
total separate 0
total block 0
DEBUG: time 2080 iteration 59
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 55.7857
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 7.11349
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0041297
overlap 2 5 0
overlap 2 6 0
overlap 3 4 11.4414
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.87961
overlap 4 6 0
overlap 5 6 7.44595
total overlap = 87.6703
protrusion 0 2.28093
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.0473
total protrusion 3.32823
connectivity 0 3 73.3097
connectivity 1 2 159.116
connectivity 3 4 90.2012
connectivity 4 5 100.235
total connect 422.862
total separate 0
part 1 blocked by volume of 1.42109e-14
total block 1.42109e-14
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 46.6807
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 4.18197
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.421722
overlap 2 5 0
overlap 2 6 0
overlap 3 4 11.9958
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.99121
overlap 4 6 0.184313
overlap 5 6 7.13836
total overlap = 75.5941
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 73.7037
connectivity 1 2 158.642
connectivity 3 4 90.3698
connectivity 4 5 100.77
total connect 423.485
total separate 0
part 0 blocked by volume of 0.718029
total block 0.718029
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 50.692
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 3.80065
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.18298
overlap 2 5 0
overlap 2 6 0
overlap 3 4 13.3633
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.38044
overlap 4 6 1.26317
overlap 5 6 7.56686
total overlap = 86.2494
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 73.1164
connectivity 1 2 156.256
connectivity 3 4 88.9154
connectivity 4 5 98.7066
total connect 416.994
total separate 0
part 0 blocked by volume of 0.760126
total block 0.760126
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 12
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.18298
overlap 2 5 0
overlap 2 6 0
overlap 3 4 41.8121
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.38044
overlap 4 6 1.26317
overlap 5 6 7.56686
total overlap = 72.2056
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 87.467
connectivity 1 2 156.256
connectivity 3 4 81.9357
connectivity 4 5 98.7066
total connect 424.365
total separate 0
total block 0
DEBUG: time 2153 iteration 60
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 11.5619
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.42573
overlap 2 5 0
overlap 2 6 0
overlap 3 4 27.2547
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.74852
overlap 4 6 2.67442
overlap 5 6 5.04837
total overlap = 52.7136
protrusion 0 10.1008
protrusion 1 0
protrusion 2 0
protrusion 3 5.67315
protrusion 4 0
protrusion 5 0.256214
protrusion 6 0
total protrusion 16.0302
connectivity 0 3 86.7953
connectivity 1 2 157.893
connectivity 3 4 86.7003
connectivity 4 5 101.01
total connect 432.399
total separate 0
part 0 blocked by volume of 0.464379
total block 0.464379
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 15.1474
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.16304
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.7689
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.91123
overlap 4 6 3.62272
overlap 5 6 5.06524
total overlap = 49.6785
protrusion 0 9.06235
protrusion 1 0
protrusion 2 0
protrusion 3 1.93364
protrusion 4 0
protrusion 5 0
protrusion 6 1.25673
total protrusion 12.2527
connectivity 0 3 85.6098
connectivity 1 2 159.369
connectivity 3 4 89.4205
connectivity 4 5 101.42
total connect 435.82
total separate 0
part 0 blocked by volume of 0.278948
total block 0.278948
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 22.5642
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.412535
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.84272
overlap 2 5 0
overlap 2 6 0
overlap 3 4 15.2042
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.83471
overlap 4 6 5.17806
overlap 5 6 5.83302
total overlap = 59.8694
protrusion 0 3.5684
protrusion 1 0
protrusion 2 0.882904
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 2.52993
total protrusion 6.98123
connectivity 0 3 83.4181
connectivity 1 2 158.723
connectivity 3 4 89.9097
connectivity 4 5 99.0686
total connect 431.119
total separate 0
total block 0
DEBUG: time 2182 iteration 61
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 22.9184
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.37457
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0446535
overlap 2 5 0
overlap 2 6 0
overlap 3 4 15.683
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.71458
overlap 4 6 3.12973
overlap 5 6 4.52507
total overlap = 51.39
protrusion 0 8.75301
protrusion 1 0.300318
protrusion 2 8.1726
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 5.23376
total protrusion 22.4597
connectivity 0 3 83.3589
connectivity 1 2 161.251
connectivity 3 4 89.6602
connectivity 4 5 101.498
total connect 435.767
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 26.6136
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.649669
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0301383
overlap 2 5 0
overlap 2 6 0
overlap 3 4 16.1177
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.82005
overlap 4 6 1.77173
overlap 5 6 3.60207
total overlap = 50.605
protrusion 0 3.29
protrusion 1 0
protrusion 2 6.74663
protrusion 3 0
protrusion 4 0
protrusion 5 1.12149
protrusion 6 6.04239
total protrusion 17.2005
connectivity 0 3 81.8277
connectivity 1 2 163.507
connectivity 3 4 89.4361
connectivity 4 5 103.688
total connect 438.459
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 33.9835
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 2.1401
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.2042
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.168
overlap 4 6 1.16363
overlap 5 6 3.50426
total overlap = 61.1638
protrusion 0 0
protrusion 1 0
protrusion 2 5.66177
protrusion 3 0
protrusion 4 0
protrusion 5 1.12548
protrusion 6 6.77017
total protrusion 13.5574
connectivity 0 3 79.4281
connectivity 1 2 163.564
connectivity 3 4 87.4132
connectivity 4 5 103.003
total connect 433.408
total separate 0
total block 0
DEBUG: time 2212 iteration 62
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 34.7713
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.85205
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.0806
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.558647
overlap 4 6 0.641337
overlap 5 6 1.27896
total overlap = 57.1829
protrusion 0 0
protrusion 1 0
protrusion 2 4.6854
protrusion 3 0
protrusion 4 0
protrusion 5 3.91413
protrusion 6 8.8802
total protrusion 17.4797
connectivity 0 3 78.8648
connectivity 1 2 165.442
connectivity 3 4 87.5828
connectivity 4 5 105.823
total connect 437.713
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 35.4803
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.59934
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0745895
overlap 2 5 0
overlap 2 6 0
overlap 3 4 17.9638
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.29556
overlap 4 6 0.315767
overlap 5 6 1.23748
total overlap = 56.9668
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 3.56699
protrusion 6 9.15443
total protrusion 12.7214
connectivity 0 3 78.3582
connectivity 1 2 167.233
connectivity 3 4 87.7379
connectivity 4 5 106.624
total connect 439.953
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 40.379
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 2.82392
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0263293
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.253
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.44112
overlap 4 6 0.225217
overlap 5 6 1.88868
total overlap = 66.0373
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.04161
protrusion 6 9.40123
total protrusion 11.4428
connectivity 0 3 76.9199
connectivity 1 2 166.892
connectivity 3 4 86.2075
connectivity 4 5 104.744
total connect 434.763
total separate 0
total block 0
DEBUG: time 2241 iteration 63
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 36.645
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.72089
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0892546
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.8909
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.24646
overlap 4 6 1.67316
overlap 5 6 0.287046
total overlap = 60.5527
protrusion 0 1.76965
protrusion 1 1.79066
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 3.36447
protrusion 6 10.2439
total protrusion 17.1686
connectivity 0 3 78.594
connectivity 1 2 168.963
connectivity 3 4 86.1521
connectivity 4 5 104.821
total connect 438.53
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 36.8848
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.93567
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.176631
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.5291
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.05454
overlap 4 6 3.4691
overlap 5 6 0.569831
total overlap = 62.6196
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.70254
protrusion 6 9.37741
total protrusion 11.08
connectivity 0 3 78.6761
connectivity 1 2 170.662
connectivity 3 4 86.1157
connectivity 4 5 103.15
total connect 438.603
total separate 0
part 1 blocked by volume of 3.55271e-15
total block 3.55271e-15
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 42.8576
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.58079
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.8728
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.63613
overlap 4 6 6.27334
overlap 5 6 1.55799
total overlap = 78.7787
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 8.59761
total protrusion 8.59761
connectivity 0 3 77.8872
connectivity 1 2 170.22
connectivity 3 4 84.6849
connectivity 4 5 99.1204
total connect 431.912
total separate 0
total block 0
DEBUG: time 2272 iteration 64
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 36.9676
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 23.576
overlap 3 5 0
overlap 3 6 0
overlap 4 5 6.57821
overlap 4 6 6.00084
overlap 5 6 1.33553
total overlap = 74.4582
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 8.94985
total protrusion 8.94985
connectivity 0 3 80.2116
connectivity 1 2 172.001
connectivity 3 4 82.2558
connectivity 4 5 99.7544
total connect 434.222
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 33.3362
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 28.1761
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.66683
overlap 4 6 5.97935
overlap 5 6 1.18479
total overlap = 74.3432
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 7.64205
total protrusion 7.64205
connectivity 0 3 82.3038
connectivity 1 2 173.606
connectivity 3 4 80.0767
connectivity 4 5 100.326
total connect 436.312
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 29.0878
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 36.326
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.96041
overlap 4 6 6.57977
overlap 5 6 1.80597
total overlap = 82.76
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 6.46503
total protrusion 6.46503
connectivity 0 3 83.3128
connectivity 1 2 173.077
connectivity 3 4 76.6422
connectivity 4 5 98.4241
total connect 431.456
total separate 0
total block 0
DEBUG: time 2299 iteration 65
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 24.1088
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 38.7775
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.44461
overlap 4 6 4.65701
overlap 5 6 1.24365
total overlap = 74.2316
protrusion 0 5.38457
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.332038
protrusion 6 6.26618
total protrusion 11.9828
connectivity 0 3 83.8049
connectivity 1 2 172.602
connectivity 3 4 76.3849
connectivity 4 5 100.59
total connect 433.382
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 23.004
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.75099e-05
overlap 2 5 0
overlap 2 6 0
overlap 3 4 41.8505
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.06758
overlap 4 6 3.15388
overlap 5 6 2.81541
total overlap = 75.8915
protrusion 0 3.29763
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 4.4624
total protrusion 7.76003
connectivity 0 3 82.9139
connectivity 1 2 172.176
connectivity 3 4 76.2496
connectivity 4 5 100.776
total connect 432.115
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 25.6141
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0486967
overlap 2 5 0
overlap 2 6 0
overlap 3 4 45.4441
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.02284
overlap 4 6 1.97579
overlap 5 6 5.21192
total overlap = 87.3174
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 2.83901
total protrusion 2.83901
connectivity 0 3 81.1836
connectivity 1 2 169.817
connectivity 3 4 74.6025
connectivity 4 5 98.4669
total connect 424.07
total separate 0
part 0 blocked by volume of 0.176849
total block 0.176849
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 29.7415
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.117753
overlap 2 5 0
overlap 2 6 0
overlap 3 4 48.6668
overlap 3 5 0
overlap 3 6 0
overlap 4 5 13.2634
overlap 4 6 0.99225
overlap 5 6 7.49233
total overlap = 100.274
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.37795
total protrusion 1.37795
connectivity 0 3 77.9391
connectivity 1 2 167.695
connectivity 3 4 73.1747
connectivity 4 5 96.4127
total connect 415.222
total separate 0
part 0 blocked by volume of 1.56623
total block 1.56623
DEBUG: time 2333 iteration 66
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 31.2322
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.248099
overlap 2 5 0
overlap 2 6 0
overlap 3 4 37.6123
overlap 3 5 0
overlap 3 6 0
overlap 4 5 12.6717
overlap 4 6 1.73626
overlap 5 6 7.11397
total overlap = 90.6145
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.58755
total protrusion 1.58755
connectivity 0 3 74.0002
connectivity 1 2 167.417
connectivity 3 4 76.4155
connectivity 4 5 96.6526
total connect 414.485
total separate 0
part 0 blocked by volume of 5.18103
total block 5.18103
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 34.0118
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.398764
overlap 2 5 0
overlap 2 6 0
overlap 3 4 30.2818
overlap 3 5 0
overlap 3 6 0
overlap 4 5 11.9984
overlap 4 6 2.51108
overlap 5 6 7.00545
total overlap = 86.2072
protrusion 0 0
protrusion 1 0
protrusion 2 1.46265
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.15139
total protrusion 1.61404
connectivity 0 3 70.5112
connectivity 1 2 167.172
connectivity 3 4 79.3321
connectivity 4 5 96.8765
total connect 413.892
total separate 0
part 0 blocked by volume of 9.23979
total block 9.23979
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 55.8452
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.433033
overlap 2 5 0
overlap 2 6 0
overlap 3 4 25.0625
overlap 3 5 0
overlap 3 6 0
overlap 4 5 16.9298
overlap 4 6 3.33546
overlap 5 6 7.77072
total overlap = 109.377
protrusion 0 0
protrusion 1 0
protrusion 2 4.41254
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 4.41254
connectivity 0 3 66.4177
connectivity 1 2 164.98
connectivity 3 4 80.5552
connectivity 4 5 94.6815
total connect 406.634
total separate 0
part 0 blocked by volume of 12.6653
total block 12.6653
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 84.0367
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.843501
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.406637
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.8034
overlap 3 5 0
overlap 3 6 0
overlap 4 5 21.8304
overlap 4 6 4.13784
overlap 5 6 8.48226
total overlap = 139.541
protrusion 0 0
protrusion 1 0
protrusion 2 7.06745
protrusion 3 0
protrusion 4 0.490769
protrusion 5 0
protrusion 6 0
total protrusion 7.55822
connectivity 0 3 62.1233
connectivity 1 2 163.011
connectivity 3 4 81.8665
connectivity 4 5 92.7299
total connect 399.731
total separate 0
part 0 blocked by volume of 15.2409
total block 15.2409
DEBUG: time 2368 iteration 67
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 85.83
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.00409317
overlap 2 5 0
overlap 2 6 0
overlap 3 4 22.6031
overlap 3 5 0
overlap 3 6 0
overlap 4 5 15.6349
overlap 4 6 1.7293
overlap 5 6 7.4133
total overlap = 133.215
protrusion 0 0
protrusion 1 0
protrusion 2 13.4772
protrusion 3 0
protrusion 4 0.357927
protrusion 5 0
protrusion 6 0
total protrusion 13.8351
connectivity 0 3 61.2491
connectivity 1 2 164.943
connectivity 3 4 80.8143
connectivity 4 5 95.5406
total connect 402.547
total separate 0
part 0 blocked by volume of 17.0102
total block 17.0102
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 87.444
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.000753323
overlap 2 5 0
overlap 2 6 0
overlap 3 4 23.5728
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.95017
overlap 4 6 0.25814
overlap 5 6 6.41427
total overlap = 125.64
protrusion 0 0
protrusion 1 0
protrusion 2 11.2592
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 11.2592
connectivity 0 3 60.4697
connectivity 1 2 166.707
connectivity 3 4 81.1161
connectivity 4 5 99.3531
total connect 407.646
total separate 0
part 0 blocked by volume of 18.6441
total block 18.6441
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 101.194
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 24.8926
overlap 3 5 0
overlap 3 6 0
overlap 4 5 6.71017
overlap 4 6 0
overlap 5 6 6.49098
total overlap = 139.287
protrusion 0 0
protrusion 1 0
protrusion 2 9.31245
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 9.31245
connectivity 0 3 58.8937
connectivity 1 2 166.318
connectivity 3 4 80.1102
connectivity 4 5 100.486
total connect 405.809
total separate 0
part 0 blocked by volume of 18.7035
total block 18.7035
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 53.6
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 45.5406
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 5.37601
overlap 3 5 0
overlap 3 6 0
overlap 4 5 6.71017
overlap 4 6 0
overlap 5 6 6.49098
total overlap = 117.718
protrusion 0 0
protrusion 1 0
protrusion 2 9.31245
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 9.31245
connectivity 0 3 148.214
connectivity 1 2 166.318
connectivity 3 4 99.9307
connectivity 4 5 100.486
total connect 514.949
total separate 0
total block 0
DEBUG: time 2451 iteration 68
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 50.77
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 36.7752
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.296986
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.011276
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.65438
overlap 4 6 1.48571
overlap 5 6 3.16736
total overlap = 97.161
protrusion 0 6.67923
protrusion 1 0
protrusion 2 9.31245
protrusion 3 0
protrusion 4 0
protrusion 5 2.49957
protrusion 6 0
total protrusion 18.4913
connectivity 0 3 148.884
connectivity 1 2 167.503
connectivity 3 4 101.585
connectivity 4 5 101.516
total connect 519.489
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 53.6499
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 29.0781
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.72669
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.0666
overlap 4 6 5.0161
overlap 5 6 2.68784
total overlap = 97.2252
protrusion 0 5.93776
protrusion 1 0
protrusion 2 1.32574
protrusion 3 0
protrusion 4 0
protrusion 5 2.08554
protrusion 6 0
total protrusion 9.34904
connectivity 0 3 147.83
connectivity 1 2 168.658
connectivity 3 4 103.253
connectivity 4 5 100.727
total connect 520.469
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 65.2777
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 28.4549
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.67287
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.79489
overlap 4 6 6.54667
overlap 5 6 3.31449
total overlap = 114.062
protrusion 0 1.90538
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.565155
protrusion 6 0
total protrusion 2.47053
connectivity 0 3 144.087
connectivity 1 2 167.779
connectivity 3 4 102.875
connectivity 4 5 99.0299
total connect 513.771
total separate 0
total block 0
DEBUG: time 2480 iteration 69
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 64.999
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 21.4626
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.855161
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.68754
overlap 4 6 2.58173
overlap 5 6 2.33364
total overlap = 95.9196
protrusion 0 4.85579
protrusion 1 0.360551
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.79981
protrusion 6 0.0227786
total protrusion 7.03893
connectivity 0 3 144.213
connectivity 1 2 170.746
connectivity 3 4 99.9993
connectivity 4 5 102.027
total connect 516.985
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 70.072
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 15.1695
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0376379
overlap 2 5 0
overlap 2 6 0
overlap 3 4 1.75489
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.96073
overlap 4 6 0.243057
overlap 5 6 4.20235
total overlap = 94.4401
protrusion 0 0.758395
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.226539
protrusion 6 0
total protrusion 0.984934
connectivity 0 3 142.644
connectivity 1 2 173.265
connectivity 3 4 97.4295
connectivity 4 5 102.969
total connect 516.307
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 84.5179
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 9.30883
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0908313
overlap 2 5 0
overlap 2 6 0
overlap 3 4 5.83592
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.49141
overlap 4 6 0
overlap 5 6 7.0658
total overlap = 109.311
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 138.421
connectivity 1 2 173.556
connectivity 3 4 93.1552
connectivity 4 5 102.791
total connect 507.924
total separate 0
total block 0
DEBUG: time 2509 iteration 70
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 84.6808
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.615003
overlap 2 5 0
overlap 2 6 0
overlap 3 4 4.5723
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.22336
overlap 4 6 1.97098
overlap 5 6 5.92641
total overlap = 99.9889
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 138.475
connectivity 1 2 177.676
connectivity 3 4 92.258
connectivity 4 5 103.208
total connect 511.617
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 95.0626
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.681278
overlap 2 5 0
overlap 2 6 0
overlap 3 4 8.81537
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.24598
overlap 4 6 3.11343
overlap 5 6 5.92606
total overlap = 116.845
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 135.754
connectivity 1 2 179.413
connectivity 3 4 89.4346
connectivity 4 5 102.496
total connect 507.097
total separate 0
total block 0
DEBUG: time 2528 iteration 71
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 91.7652
overlap 0 4 2.07584
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 16.4327
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.200837
overlap 4 6 1.1511
overlap 5 6 2.79775
total overlap = 114.423
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 136.58
connectivity 1 2 182.223
connectivity 3 4 86.509
connectivity 4 5 106.023
total connect 511.335
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 99.1659
overlap 0 4 9.40369
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 32.9789
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.290229
overlap 4 6 0
overlap 5 6 1.20641
total overlap = 143.045
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.296849
total protrusion 0.296849
connectivity 0 3 134.552
connectivity 1 2 182.798
connectivity 3 4 81.8649
connectivity 4 5 108.156
total connect 507.371
total separate 0
total block 0
DEBUG: time 2548 iteration 72
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 94.436
overlap 0 4 11.3633
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 33.6583
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.350049
overlap 4 6 0
overlap 5 6 0
total overlap = 139.808
protrusion 0 0.0786681
protrusion 1 0
protrusion 2 3.83573
protrusion 3 0
protrusion 4 0
protrusion 5 2.91063
protrusion 6 1.39983
total protrusion 8.22486
connectivity 0 3 135.752
connectivity 1 2 183.334
connectivity 3 4 82.2477
connectivity 4 5 109.78
total connect 511.113
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 95.7671
overlap 0 4 13.2158
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 34.2732
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.719966
overlap 4 6 0.267048
overlap 5 6 0
total overlap = 144.243
protrusion 0 0
protrusion 1 0
protrusion 2 0.269673
protrusion 3 0
protrusion 4 0
protrusion 5 3.12489
protrusion 6 0.767713
total protrusion 4.16228
connectivity 0 3 135.151
connectivity 1 2 183.862
connectivity 3 4 82.604
connectivity 4 5 109.505
total connect 511.121
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 107.351
overlap 0 4 11.9352
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 34.2025
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.95683
overlap 4 6 2.33443
overlap 5 6 0
total overlap = 156.78
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.05449
protrusion 6 0.198804
total protrusion 2.25329
connectivity 0 3 131.807
connectivity 1 2 182.36
connectivity 3 4 80.9513
connectivity 4 5 108.186
total connect 503.304
total separate 0
total block 0
DEBUG: time 2576 iteration 73
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 106.406
overlap 0 4 5.14583
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.4117
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.737498
overlap 4 6 7.79854
overlap 5 6 0
total overlap = 139.499
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.56604
protrusion 6 0
total protrusion 2.56604
connectivity 0 3 131.791
connectivity 1 2 181.009
connectivity 3 4 84.0745
connectivity 4 5 106.556
total connect 503.43
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 105.549
overlap 0 4 0.869544
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 8.55167
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.78314
overlap 4 6 13.1885
overlap 5 6 0
total overlap = 129.941
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.288708
protrusion 6 0
total protrusion 0.288708
connectivity 0 3 131.781
connectivity 1 2 179.792
connectivity 3 4 87.0357
connectivity 4 5 103.476
total connect 502.085
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 115.132
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.592819
overlap 2 5 0
overlap 2 6 0
overlap 3 4 6.11922
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.55301
overlap 4 6 17.0369
overlap 5 6 0
total overlap = 146.434
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 129.031
connectivity 1 2 176.721
connectivity 3 4 87.653
connectivity 4 5 99.5574
total connect 492.962
total separate 0
total block 0
DEBUG: time 2603 iteration 74
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 110.649
overlap 0 4 0.727138
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 3.93356
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0914053
overlap 2 5 0
overlap 2 6 0
overlap 3 4 5.69242
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.78292
overlap 4 6 14.096
overlap 5 6 0
total overlap = 140.972
protrusion 0 3.8327
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 3.8327
connectivity 0 3 129.779
connectivity 1 2 175.639
connectivity 3 4 87.5742
connectivity 4 5 100.766
total connect 493.758
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 111.883
overlap 0 4 2.22622
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 10.4507
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 5.31688
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.48726
overlap 4 6 11.5491
overlap 5 6 0
total overlap = 145.914
protrusion 0 1.66913
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 1.66913
connectivity 0 3 128.793
connectivity 1 2 174.667
connectivity 3 4 87.5086
connectivity 4 5 101.856
total connect 492.824
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 123.026
overlap 0 4 5.85823
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 15.702
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.7706
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.11183
overlap 4 6 7.5623
overlap 5 6 2.27916
total overlap = 169.31
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 125.176
connectivity 1 2 171.816
connectivity 3 4 85.2695
connectivity 4 5 101.551
total connect 483.812
total separate 0
total block 0
DEBUG: time 2632 iteration 75
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 120.162
overlap 0 4 5.61459
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 17.5874
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 7.94477
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.49311
overlap 4 6 6.53714
overlap 5 6 2.37644
total overlap = 163.715
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 125.656
connectivity 1 2 171.43
connectivity 3 4 86.626
connectivity 4 5 101.952
total connect 485.664
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 127.881
overlap 0 4 7.41253
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 18.6743
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 11.5642
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.55175
overlap 4 6 3.64455
overlap 5 6 3.67232
total overlap = 177.401
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.590559
total protrusion 0.590559
connectivity 0 3 123.339
connectivity 1 2 169.105
connectivity 3 4 85.7172
connectivity 4 5 101.103
total connect 479.264
total separate 0
total block 0
DEBUG: time 2653 iteration 76
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 122.048
overlap 0 4 4.74206
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 17.0125
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 6.36899
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.15052
overlap 4 6 5.02923
overlap 5 6 1.85796
total overlap = 162.209
protrusion 0 2.11161
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.298415
protrusion 5 0
protrusion 6 2.97579
total protrusion 5.38582
connectivity 0 3 124.952
connectivity 1 2 169.194
connectivity 3 4 88.545
connectivity 4 5 100.779
total connect 483.469
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 121.908
overlap 0 4 2.68482
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 15.5169
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.286612
overlap 2 5 0
overlap 2 6 0
overlap 3 4 2.64415
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.54008
overlap 4 6 6.3876
overlap 5 6 0.303202
total overlap = 153.271
protrusion 0 0.163415
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.71443
protrusion 6 3.4977
total protrusion 5.37554
connectivity 0 3 124.73
connectivity 1 2 169.274
connectivity 3 4 89.9821
connectivity 4 5 101.878
total connect 485.865
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 132.107
overlap 0 4 2.50466
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 13.5666
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.664386
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.90832
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.07151
overlap 4 6 5.52484
overlap 5 6 0.145766
total overlap = 162.493
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.376502
protrusion 5 2.80523
protrusion 6 3.96741
total protrusion 7.14914
connectivity 0 3 121.77
connectivity 1 2 167.369
connectivity 3 4 89.1874
connectivity 4 5 101.682
total connect 480.009
total separate 0
total block 0
DEBUG: time 2683 iteration 77
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 128.134
overlap 0 4 1.55995
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 8.30968
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.22644
overlap 2 5 0
overlap 2 6 0
overlap 3 4 2.15348
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.86415
overlap 4 6 5.04612
overlap 5 6 0
total overlap = 148.294
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.79704
protrusion 6 4.42618
total protrusion 11.2232
connectivity 0 3 122.941
connectivity 1 2 169.412
connectivity 3 4 89.9003
connectivity 4 5 103.959
total connect 486.212
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 124.586
overlap 0 4 0.844392
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 3.57842
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.86467
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.900301
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.22612
overlap 4 6 4.62698
overlap 5 6 0
total overlap = 137.627
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 7.34462
protrusion 6 3.21426
total protrusion 10.5589
connectivity 0 3 123.995
connectivity 1 2 171.256
connectivity 3 4 90.5529
connectivity 4 5 104.27
total connect 490.074
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 131.795
overlap 0 4 1.32217
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.55352
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.31964
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.11099
overlap 4 6 2.52295
overlap 5 6 2.36138
total overlap = 144.986
protrusion 0 0
protrusion 1 0
protrusion 2 3.13668
protrusion 3 0
protrusion 4 0
protrusion 5 6.4238
protrusion 6 2.12353
total protrusion 11.684
connectivity 0 3 122.197
connectivity 1 2 170.944
connectivity 3 4 89.0123
connectivity 4 5 103.319
total connect 485.472
total separate 0
total block 0
DEBUG: time 2714 iteration 78
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 125.211
overlap 0 4 0.239624
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.80115
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.35472
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.8131
overlap 4 6 4.80933
overlap 5 6 0.558767
total overlap = 134.788
protrusion 0 2.25924
protrusion 1 0
protrusion 2 10.0368
protrusion 3 0
protrusion 4 0
protrusion 5 8.86353
protrusion 6 1.67144
total protrusion 22.831
connectivity 0 3 123.891
connectivity 1 2 172.21
connectivity 3 4 91.0622
connectivity 4 5 103.466
total connect 490.629
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 124.413
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.67263
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.59553
overlap 4 6 7.22062
overlap 5 6 2.14358
total overlap = 140.046
protrusion 0 0.0188067
protrusion 1 0
protrusion 2 8.26023
protrusion 3 0
protrusion 4 0
protrusion 5 7.64721
protrusion 6 0
total protrusion 15.9262
connectivity 0 3 123.746
connectivity 1 2 173.324
connectivity 3 4 92.9164
connectivity 4 5 101.881
total connect 491.867
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 134.004
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.35432
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.63327
overlap 4 6 7.30233
overlap 5 6 5.04777
total overlap = 156.342
protrusion 0 0
protrusion 1 0
protrusion 2 6.59522
protrusion 3 0
protrusion 4 0.30443
protrusion 5 5.23869
protrusion 6 0
total protrusion 12.1383
connectivity 0 3 120.873
connectivity 1 2 172.35
connectivity 3 4 92.4185
connectivity 4 5 99.1825
total connect 484.824
total separate 0
total block 0
DEBUG: time 2744 iteration 79
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 128.946
overlap 0 4 2.97303
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.320484
overlap 2 5 0
overlap 2 6 0
overlap 3 4 1.32897
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.50848
overlap 4 6 2.30435
overlap 5 6 5.30374
total overlap = 145.685
protrusion 0 0
protrusion 1 0
protrusion 2 9.578
protrusion 3 0
protrusion 4 1.7067
protrusion 5 6.24176
protrusion 6 0
total protrusion 17.5265
connectivity 0 3 121.824
connectivity 1 2 172.959
connectivity 3 4 91.1671
connectivity 4 5 101.182
total connect 487.132
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 124.49
overlap 0 4 8.43688
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.46788
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.031388
overlap 2 5 0
overlap 2 6 0
overlap 3 4 4.47746
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.6692
overlap 4 6 0
overlap 5 6 9.0068
total overlap = 150.58
protrusion 0 0
protrusion 1 0
protrusion 2 4.27579
protrusion 3 0
protrusion 4 0.420637
protrusion 5 4.00198
protrusion 6 0
total protrusion 8.69841
connectivity 0 3 122.693
connectivity 1 2 173.478
connectivity 3 4 88.9882
connectivity 4 5 102.651
total connect 487.81
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 130.624
overlap 0 4 17.1236
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 2.58585
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 14.6752
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.01203
overlap 4 6 0
overlap 5 6 13.7056
total overlap = 181.726
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 1.53773
protrusion 5 0.957055
protrusion 6 0
total protrusion 2.49478
connectivity 0 3 120.703
connectivity 1 2 171.974
connectivity 3 4 84.9277
connectivity 4 5 102.791
total connect 480.396
total separate 0
total block 0
DEBUG: time 2773 iteration 80
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 124.231
overlap 0 4 18.9916
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.45543
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 14.4825
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.35634
overlap 4 6 0
overlap 5 6 13.1886
total overlap = 175.706
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 2.31908
protrusion 5 1.02427
protrusion 6 0
total protrusion 3.34335
connectivity 0 3 122.485
connectivity 1 2 172.805
connectivity 3 4 85.52
connectivity 4 5 102.693
total connect 483.503
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 118.603
overlap 0 4 20.7159
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.438062
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 14.3097
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.10217
overlap 4 6 0
overlap 5 6 16.1675
total overlap = 173.336
protrusion 0 1.88634
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.242583
protrusion 5 0
protrusion 6 0
total protrusion 2.12892
connectivity 0 3 124.091
connectivity 1 2 173.557
connectivity 3 4 84.9012
connectivity 4 5 102.221
total connect 484.77
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 123.457
overlap 0 4 25.155
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 21.6726
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.19133
overlap 4 6 0
overlap 5 6 19.9944
total overlap = 195.471
protrusion 0 2.0562
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.594133
protrusion 5 0
protrusion 6 0
total protrusion 2.65033
connectivity 0 3 122.748
connectivity 1 2 172.259
connectivity 3 4 82.247
connectivity 4 5 100.645
total connect 477.899
total separate 0
total block 0
DEBUG: time 2802 iteration 81
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 117.442
overlap 0 4 21.44
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 2.28581
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.00122249
overlap 2 5 0
overlap 2 6 0
overlap 3 4 14.997
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.87143
overlap 4 6 0
overlap 5 6 18.6704
total overlap = 182.707
protrusion 0 8.76027
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.552524
protrusion 5 0
protrusion 6 0
total protrusion 9.3128
connectivity 0 3 124.483
connectivity 1 2 171.095
connectivity 3 4 84.3086
connectivity 4 5 98.9966
total connect 478.883
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 116.769
overlap 0 4 18.2322
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 5.34215
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.701017
overlap 2 5 0
overlap 2 6 0
overlap 3 4 9.68604
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.27824
overlap 4 6 0
overlap 5 6 17.5105
total overlap = 176.519
protrusion 0 8.04116
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 8.04116
connectivity 0 3 124.381
connectivity 1 2 170.049
connectivity 3 4 85.1319
connectivity 4 5 98.9829
total connect 478.544
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 125.97
overlap 0 4 18.0196
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 7.34152
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.4789
overlap 2 5 0
overlap 2 6 0
overlap 3 4 11.5927
overlap 3 5 0
overlap 3 6 0
overlap 4 5 10.5741
overlap 4 6 0
overlap 5 6 17.5196
total overlap = 192.497
protrusion 0 4.06324
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 4.06324
connectivity 0 3 121.523
connectivity 1 2 167.132
connectivity 3 4 83.7476
connectivity 4 5 97.7141
total connect 470.117
total separate 0
total block 0
DEBUG: time 2832 iteration 82
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 122.753
overlap 0 4 11.4228
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 6.83149
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 3.12475
overlap 2 5 0
overlap 2 6 0
overlap 3 4 4.47936
overlap 3 5 0
overlap 3 6 0
overlap 4 5 13.1885
overlap 4 6 3.61896
overlap 5 6 13.2703
total overlap = 178.689
protrusion 0 7.15759
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 7.15759
connectivity 0 3 122.556
connectivity 1 2 168.311
connectivity 3 4 86.6136
connectivity 4 5 96.4898
total connect 473.97
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 124.543
overlap 0 4 6.30888
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 6.37246
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.02162
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.380604
overlap 3 5 0
overlap 3 6 0
overlap 4 5 15.6549
overlap 4 6 9.63534
overlap 5 6 9.67138
total overlap = 177.588
protrusion 0 3.18973
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.178408
total protrusion 3.36814
connectivity 0 3 121.819
connectivity 1 2 169.373
connectivity 3 4 89.2157
connectivity 4 5 95.3959
total connect 475.804
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 136.3
overlap 0 4 4.12165
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 5.10172
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.39283
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.414553
overlap 3 5 0
overlap 3 6 0
overlap 4 5 20.3617
overlap 4 6 13.6773
overlap 5 6 7.63578
total overlap = 193.005
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.981462
total protrusion 0.981462
connectivity 0 3 118.42
connectivity 1 2 168.352
connectivity 3 4 89.3045
connectivity 4 5 93.0473
total connect 469.123
total separate 0
total block 0
DEBUG: time 2861 iteration 83
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 134.856
overlap 0 4 6.94582
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.38482
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.55966
overlap 3 5 0
overlap 3 6 0
overlap 4 5 14.5638
overlap 4 6 10.7845
overlap 5 6 4.24471
total overlap = 177.339
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 2.62518
total protrusion 2.62518
connectivity 0 3 119.264
connectivity 1 2 171.154
connectivity 3 4 87.685
connectivity 4 5 95.5744
total connect 473.677
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 133.506
overlap 0 4 9.83865
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.668073
overlap 2 5 0
overlap 2 6 0
overlap 3 4 7.74542
overlap 3 5 0
overlap 3 6 0
overlap 4 5 10.074
overlap 4 6 8.27443
overlap 5 6 1.49099
total overlap = 171.598
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.158636
protrusion 5 0
protrusion 6 2.47972
total protrusion 2.63835
connectivity 0 3 120.028
connectivity 1 2 173.682
connectivity 3 4 86.2862
connectivity 4 5 97.9352
total connect 477.931
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 142.816
overlap 0 4 14.9815
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.3501
overlap 3 5 0
overlap 3 6 0
overlap 4 5 10.1406
overlap 4 6 4.22703
overlap 5 6 0.199964
total overlap = 191.715
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 3.53925
protrusion 5 0.662802
protrusion 6 2.3488
total protrusion 6.55085
connectivity 0 3 117.968
connectivity 1 2 173.985
connectivity 3 4 83.0401
connectivity 4 5 99.0341
total connect 474.027
total separate 0
total block 0
DEBUG: time 2892 iteration 84
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 139.21
overlap 0 4 14.0831
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.1261
overlap 3 5 0
overlap 3 6 0
overlap 4 5 10.028
overlap 4 6 3.5931
overlap 5 6 0
total overlap = 185.04
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 6.43069
protrusion 5 4.04217
protrusion 6 2.27934
total protrusion 12.7522
connectivity 0 3 119.157
connectivity 1 2 174.261
connectivity 3 4 84.2699
connectivity 4 5 100.421
total connect 478.11
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 135.965
overlap 0 4 13.2881
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 17.0457
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.70453
overlap 4 6 3.05116
overlap 5 6 0
total overlap = 178.054
protrusion 0 1.7599
protrusion 1 0
protrusion 2 0.199326
protrusion 3 0
protrusion 4 4.62116
protrusion 5 4.27811
protrusion 6 0.592018
total protrusion 11.4505
connectivity 0 3 120.228
connectivity 1 2 174.513
connectivity 3 4 84.2141
connectivity 4 5 101.002
total connect 479.957
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 143.72
overlap 0 4 14.869
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 23.4129
overlap 3 5 0
overlap 3 6 0
overlap 4 5 10.3632
overlap 4 6 1.22825
overlap 5 6 0
total overlap = 193.593
protrusion 0 1.68456
protrusion 1 0
protrusion 2 2.8451
protrusion 3 0
protrusion 4 7.11404
protrusion 5 3.14474
protrusion 6 0
total protrusion 14.7884
connectivity 0 3 118.417
connectivity 1 2 172.764
connectivity 3 4 82.2232
connectivity 4 5 100.512
total connect 473.916
total separate 0
total block 0
DEBUG: time 2921 iteration 85
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 138.692
overlap 0 4 10.4749
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 15.7134
overlap 3 5 0
overlap 3 6 0
overlap 4 5 10.3982
overlap 4 6 1.70945
overlap 5 6 0.621963
total overlap = 177.61
protrusion 0 8.35292
protrusion 1 0
protrusion 2 5.2263
protrusion 3 0
protrusion 4 8.09417
protrusion 5 3.9188
protrusion 6 0
total protrusion 25.5922
connectivity 0 3 119.786
connectivity 1 2 171.193
connectivity 3 4 84.6641
connectivity 4 5 99.8366
total connect 475.479
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 139.288
overlap 0 4 6.93461
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.435136
overlap 2 5 0
overlap 2 6 0
overlap 3 4 9.65821
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.5807
overlap 4 6 2.18413
overlap 5 6 4.66924
total overlap = 172.75
protrusion 0 7.60166
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 4.27399
protrusion 5 1.72165
protrusion 6 0
total protrusion 13.5973
connectivity 0 3 119.343
connectivity 1 2 169.751
connectivity 3 4 85.7809
connectivity 4 5 98.6484
total connect 473.523
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 150.487
overlap 0 4 5.84858
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.17913
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.6029
overlap 3 5 0
overlap 3 6 0
overlap 4 5 13.0956
overlap 4 6 1.27272
overlap 5 6 10.0165
total overlap = 192.502
protrusion 0 3.57578
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 4.97782
protrusion 5 0
protrusion 6 0
total protrusion 8.5536
connectivity 0 3 116.191
connectivity 1 2 166.484
connectivity 3 4 84.8182
connectivity 4 5 96.5346
total connect 464.028
total separate 0
total block 0
DEBUG: time 2950 iteration 86
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 147.789
overlap 0 4 2.27578
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 5.61433
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.78314
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.25227
overlap 3 5 0
overlap 3 6 0
overlap 4 5 14.1807
overlap 4 6 3.82145
overlap 5 6 10.8384
total overlap = 190.555
protrusion 0 6.66674
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 2.87122
protrusion 5 0
protrusion 6 0
total protrusion 9.53796
connectivity 0 3 116.496
connectivity 1 2 165.034
connectivity 3 4 87.3906
connectivity 4 5 95.769
total connect 464.69
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 150.264
overlap 0 4 0.201383
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 11.9855
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 6.32484
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 12.8674
overlap 4 6 6.74986
overlap 5 6 11.6057
total overlap = 199.999
protrusion 0 2.69583
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 2.69583
connectivity 0 3 115.106
connectivity 1 2 163.729
connectivity 3 4 88.9993
connectivity 4 5 96.666
total connect 464.501
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 163.401
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 16.8223
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 8.53273
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 14.5076
overlap 4 6 7.60265
overlap 5 6 13.5675
total overlap = 224.434
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 111.161
connectivity 1 2 160.578
connectivity 3 4 88.3779
connectivity 4 5 96.1908
total connect 456.307
total separate 0
total block 0
DEBUG: time 2981 iteration 87
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 162.441
overlap 0 4 2.09792
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 15.5331
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 5.80565
overlap 2 5 0
overlap 2 6 0
overlap 3 4 1.98529
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.61864
overlap 4 6 3.46997
overlap 5 6 12.0573
total overlap = 211.009
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 111.24
connectivity 1 2 161.403
connectivity 3 4 85.6641
connectivity 4 5 99.8585
total connect 458.166
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 172.532
overlap 0 4 7.78469
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 13.3917
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 2.54237
overlap 2 5 0
overlap 2 6 0
overlap 3 4 12.1306
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.83733
overlap 4 6 0.0476931
overlap 5 6 11.9232
total overlap = 224.19
protrusion 0 0
protrusion 1 0
protrusion 2 0.873944
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0.873944
connectivity 0 3 108.638
connectivity 1 2 160.172
connectivity 3 4 80.9109
connectivity 4 5 101.704
total connect 451.426
total separate 0
total block 0
DEBUG: time 3001 iteration 88
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 168.222
overlap 0 4 9.04415
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 9.13951
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.01826
overlap 2 5 0
overlap 2 6 0
overlap 3 4 13.3577
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.14135
overlap 4 6 0.269904
overlap 5 6 7.22125
total overlap = 210.414
protrusion 0 0
protrusion 1 0
protrusion 2 8.22068
protrusion 3 0
protrusion 4 0
protrusion 5 2.01056
protrusion 6 0
total protrusion 10.2312
connectivity 0 3 109.957
connectivity 1 2 162.8
connectivity 3 4 80.8942
connectivity 4 5 103.101
total connect 456.752
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 164.342
overlap 0 4 10.2244
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 5.31254
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.466255
overlap 2 5 0
overlap 2 6 0
overlap 3 4 14.493
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.69752
overlap 4 6 0.553857
overlap 5 6 6.39848
total overlap = 204.488
protrusion 0 0
protrusion 1 0
protrusion 2 6.84603
protrusion 3 0
protrusion 4 0.18892
protrusion 5 1.97491
protrusion 6 0.650562
total protrusion 9.66043
connectivity 0 3 111.144
connectivity 1 2 165.13
connectivity 3 4 80.9102
connectivity 4 5 102.638
total connect 459.822
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 171.506
overlap 0 4 13.4318
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.02074
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.001743
overlap 2 5 0
overlap 2 6 0
overlap 3 4 23.0248
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.47875
overlap 4 6 0.0824372
overlap 5 6 6.92223
total overlap = 221.469
protrusion 0 0
protrusion 1 0
protrusion 2 5.5243
protrusion 3 0
protrusion 4 3.88223
protrusion 5 0.77908
protrusion 6 1.94228
total protrusion 12.1279
connectivity 0 3 109.511
connectivity 1 2 165.25
connectivity 3 4 78.7986
connectivity 4 5 100.932
total connect 454.492
total separate 0
total block 0
DEBUG: time 3033 iteration 89
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 165.155
overlap 0 4 10.6004
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.542
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.19904
overlap 4 6 2.75132
overlap 5 6 3.30859
total overlap = 208.556
protrusion 0 1.19976
protrusion 1 0
protrusion 2 8.37422
protrusion 3 0
protrusion 4 7.96486
protrusion 5 2.33344
protrusion 6 3.43071
total protrusion 23.303
connectivity 0 3 111.545
connectivity 1 2 169.087
connectivity 3 4 81.2297
connectivity 4 5 99.4037
total connect 461.265
total separate 0
part 0 blocked by volume of 2.84217e-14
total block 2.84217e-14
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 164.503
overlap 0 4 8.22794
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 14.7712
overlap 3 5 0
overlap 3 6 0
overlap 4 5 10.9127
overlap 4 6 6.63394
overlap 5 6 3.26478
total overlap = 208.313
protrusion 0 0
protrusion 1 0
protrusion 2 2.95244
protrusion 3 0
protrusion 4 6.99093
protrusion 5 0.989546
protrusion 6 3.14549
total protrusion 14.0784
connectivity 0 3 111.699
connectivity 1 2 172.506
connectivity 3 4 82.4695
connectivity 4 5 97.5415
total connect 464.217
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 174.584
overlap 0 4 8.12132
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 18.4624
overlap 3 5 0
overlap 3 6 0
overlap 4 5 17.151
overlap 4 6 8.65132
overlap 5 6 4.50438
total overlap = 231.475
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 10.7918
protrusion 5 0
protrusion 6 2.88879
total protrusion 13.6806
connectivity 0 3 109.107
connectivity 1 2 173.615
connectivity 3 4 81.5017
connectivity 4 5 94.6648
total connect 458.888
total separate 0
total block 0
DEBUG: time 3064 iteration 90
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 171.202
overlap 0 4 5.20904
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0169139
overlap 2 5 0
overlap 2 6 0
overlap 3 4 11.886
overlap 3 5 0
overlap 3 6 0
overlap 4 5 19.2413
overlap 4 6 12.5391
overlap 5 6 3.90849
total overlap = 224.003
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 10.1054
protrusion 5 0
protrusion 6 3.23458
total protrusion 13.34
connectivity 0 3 109.825
connectivity 1 2 174.619
connectivity 3 4 83.6274
connectivity 4 5 93.622
total connect 461.693
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 168.158
overlap 0 4 2.96148
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.744284
overlap 2 5 0
overlap 2 6 0
overlap 3 4 6.81014
overlap 3 5 0
overlap 3 6 0
overlap 4 5 17.8214
overlap 4 6 16.3682
overlap 5 6 3.4593
total overlap = 216.323
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 4.66723
protrusion 5 0
protrusion 6 1.92099
total protrusion 6.58822
connectivity 0 3 110.474
connectivity 1 2 175.527
connectivity 3 4 84.6637
connectivity 4 5 94.0897
total connect 464.755
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 176.072
overlap 0 4 2.54338
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 1.35431
overlap 2 5 0
overlap 2 6 0
overlap 3 4 8.12206
overlap 3 5 0
overlap 3 6 0
overlap 4 5 19.7731
overlap 4 6 17.3501
overlap 5 6 4.33572
total overlap = 229.551
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 4.27391
protrusion 5 0
protrusion 6 0.738755
total protrusion 5.01266
connectivity 0 3 108.35
connectivity 1 2 174.372
connectivity 3 4 83.5007
connectivity 4 5 93.2382
total connect 459.461
total separate 0
total block 0
DEBUG: time 3094 iteration 91
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 170.052
overlap 0 4 5.99838
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.572277
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.2908
overlap 3 5 0
overlap 3 6 0
overlap 4 5 11.3038
overlap 4 6 11.6422
overlap 5 6 3.36169
total overlap = 213.221
protrusion 0 4.08651
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 1.76
protrusion 5 0.49255
protrusion 6 0
total protrusion 6.33905
connectivity 0 3 109.603
connectivity 1 2 174.849
connectivity 3 4 82.0115
connectivity 4 5 97.1723
total connect 463.636
total separate 0
part 0 blocked by volume of 2.84217e-14
total block 2.84217e-14
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 169.61
overlap 0 4 9.78553
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.348499
overlap 2 5 0
overlap 2 6 0
overlap 3 4 12.3757
overlap 3 5 0
overlap 3 6 0
overlap 4 5 6.09273
overlap 4 6 7.11851
overlap 5 6 5.76185
total overlap = 211.093
protrusion 0 2.21102
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 2.21102
connectivity 0 3 109.072
connectivity 1 2 175.278
connectivity 3 4 80.0591
connectivity 4 5 100.472
total connect 464.881
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 180
overlap 0 4 15.7335
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.000852447
overlap 2 5 0
overlap 2 6 0
overlap 3 4 21.7761
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.03315
overlap 4 6 2.23191
overlap 5 6 9.24222
total overlap = 233.017
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 105.936
connectivity 1 2 173.687
connectivity 3 4 76.1286
connectivity 4 5 101.978
total connect 457.729
total separate 0
part 0 blocked by volume of 2.84217e-14
total block 2.84217e-14
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 32
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.000852447
overlap 2 5 0
overlap 2 6 0
overlap 3 4 20.0527
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.03315
overlap 4 6 2.23191
overlap 5 6 9.24222
total overlap = 67.5609
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 78.5801
connectivity 1 2 173.687
connectivity 3 4 86.1273
connectivity 4 5 101.978
total connect 440.372
total separate 0
total block 0
DEBUG: time 3171 iteration 92
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 26.0188
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.2533
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.299014
overlap 4 6 1.27017
overlap 5 6 4.81376
total overlap = 51.655
protrusion 0 9.93246
protrusion 1 0
protrusion 2 0
protrusion 3 8.6424
protrusion 4 0
protrusion 5 0.131084
protrusion 6 0
total protrusion 18.7059
connectivity 0 3 79.3014
connectivity 1 2 175.389
connectivity 3 4 87.4647
connectivity 4 5 106.254
total connect 448.408
total separate 0
part 0 blocked by volume of 1.72843
total block 1.72843
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 25.5745
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 21.0348
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.0256682
overlap 4 6 0.571589
overlap 5 6 4.1579
total overlap = 51.3645
protrusion 0 8.74252
protrusion 1 0
protrusion 2 0
protrusion 3 7.57521
protrusion 4 0
protrusion 5 0
protrusion 6 0.494504
total protrusion 16.8122
connectivity 0 3 79.4893
connectivity 1 2 176.922
connectivity 3 4 87.3573
connectivity 4 5 108.412
total connect 452.18
total separate 0
part 0 blocked by volume of 1.72161
total block 1.72161
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 30.0628
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 24.3935
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.034911
overlap 4 6 0.235259
overlap 5 6 4.81285
total overlap = 59.5393
protrusion 0 3.13929
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.27661
total protrusion 4.4159
connectivity 0 3 78.5249
connectivity 1 2 176.325
connectivity 3 4 85.2879
connectivity 4 5 107.632
total connect 447.77
total separate 0
part 0 blocked by volume of 0.858459
total block 0.858459
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 38.4
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 43.2659
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.034911
overlap 4 6 0.235259
overlap 5 6 4.81285
total overlap = 86.7489
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 1.27661
total protrusion 1.27661
connectivity 0 3 94.4705
connectivity 1 2 176.325
connectivity 3 4 72.1525
connectivity 4 5 107.632
total connect 450.58
total separate 0
total block 0
DEBUG: time 3244 iteration 93
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 38.8358
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 28.9457
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.127028
overlap 4 6 3.93912
overlap 5 6 0.429023
total overlap = 72.2766
protrusion 0 10.1292
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.16244
protrusion 6 1.53932
total protrusion 12.8309
connectivity 0 3 93.5144
connectivity 1 2 176.325
connectivity 3 4 77.0581
connectivity 4 5 107.42
total connect 454.318
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 45.6468
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 17.639
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.58104
overlap 4 6 8.42137
overlap 5 6 0
total overlap = 73.2882
protrusion 0 9.61592
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.884667
protrusion 6 0.150956
total protrusion 10.6515
connectivity 0 3 91.1597
connectivity 1 2 176.325
connectivity 3 4 81.4731
connectivity 4 5 105.561
total connect 454.519
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 50.604
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.0344175
overlap 2 5 0
overlap 2 6 0
overlap 3 4 12.4802
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.4322
overlap 4 6 13.3326
overlap 5 6 0.225112
total overlap = 82.1085
protrusion 0 5.62257
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 5.62257
connectivity 0 3 87.7592
connectivity 1 2 174.348
connectivity 3 4 83.6784
connectivity 4 5 101.575
total connect 447.361
total separate 0
total block 0
DEBUG: time 3271 iteration 94
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 38.3633
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 17.6734
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.40858
overlap 4 6 12.4385
overlap 5 6 0
total overlap = 71.8837
protrusion 0 12.1551
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.995409
protrusion 6 0
total protrusion 13.1505
connectivity 0 3 87.5993
connectivity 1 2 174.279
connectivity 3 4 82.196
connectivity 4 5 102.533
total connect 446.607
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 36.3097
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 22.1688
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.37708
overlap 4 6 11.6304
overlap 5 6 0
total overlap = 74.486
protrusion 0 7.9052
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 7.9052
connectivity 0 3 86.3523
connectivity 1 2 174.218
connectivity 3 4 80.9566
connectivity 4 5 101.714
total connect 443.241
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 33.383
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 30.0032
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.65302
overlap 4 6 10.9694
overlap 5 6 2.50056
total overlap = 85.5092
protrusion 0 0.172565
protrusion 1 0
protrusion 2 0.264273
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0.436838
connectivity 0 3 84.3128
connectivity 1 2 172.186
connectivity 3 4 78.2916
connectivity 4 5 98.6345
total connect 433.425
total separate 0
total block 0
DEBUG: time 3314 iteration 95
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 29.995
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 33.8549
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.71043
overlap 4 6 6.01528
overlap 5 6 2.91862
total overlap = 78.4942
protrusion 0 3.34236
protrusion 1 0
protrusion 2 1.80965
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 5.15201
connectivity 0 3 82.1018
connectivity 1 2 170.359
connectivity 3 4 77.9603
connectivity 4 5 100.295
total connect 430.716
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 29.8919
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 37.2673
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.81235
overlap 4 6 2.36356
overlap 5 6 3.27488
total overlap = 76.61
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0.544647
total protrusion 0.544647
connectivity 0 3 79.0451
connectivity 1 2 168.699
connectivity 3 4 78.0408
connectivity 4 5 101.818
total connect 427.603
total separate 0
part 0 blocked by volume of 0.430215
total block 0.430215
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 30.712
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.392563
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 42.3864
overlap 3 5 0
overlap 3 6 0
overlap 4 5 6.32086
overlap 4 6 0.303749
overlap 5 6 4.68726
total overlap = 84.8028
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.584308
protrusion 5 0
protrusion 6 1.1208
total protrusion 1.70511
connectivity 0 3 75.4862
connectivity 1 2 165.239
connectivity 3 4 76.6475
connectivity 4 5 100.762
total connect 418.135
total separate 0
part 0 blocked by volume of 3.72818
total block 3.72818
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 36.5948
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 2.03217
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 47.4002
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.11195
overlap 4 6 0
overlap 5 6 5.85205
total overlap = 100.991
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 3.77114
protrusion 5 0
protrusion 6 1.63934
total protrusion 5.41049
connectivity 0 3 70.7493
connectivity 1 2 162.135
connectivity 3 4 75.3942
connectivity 4 5 99.9345
total connect 408.213
total separate 0
part 0 blocked by volume of 8.20482
part 1 blocked by volume of 3.55271e-15
total block 8.20482
DEBUG: time 3349 iteration 96
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 30.6083
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.638467
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 46.2949
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.57494
overlap 4 6 0.0381708
overlap 5 6 3.55556
total overlap = 90.7103
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 6.77537
protrusion 4 5.09077
protrusion 5 0
protrusion 6 2.38948
total protrusion 14.2556
connectivity 0 3 68.964
connectivity 1 2 161.491
connectivity 3 4 76.5093
connectivity 4 5 99.9863
total connect 406.951
total separate 0
part 0 blocked by volume of 13.2012
total block 13.2012
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 27.4317
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 44.5541
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.203
overlap 4 6 0.836345
overlap 5 6 1.5759
total overlap = 81.6011
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 10.131
protrusion 4 2.26688
protrusion 5 0.318395
protrusion 6 1.43979
total protrusion 14.1561
connectivity 0 3 68.3348
connectivity 1 2 160.925
connectivity 3 4 77.9068
connectivity 4 5 101.238
total connect 408.405
total separate 0
part 0 blocked by volume of 15.3662
total block 15.3662
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 37.5271
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0.303023
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 43.383
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.15344
overlap 4 6 2.35927
overlap 5 6 0.910687
total overlap = 93.6365
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 5.45614
protrusion 4 3.54569
protrusion 5 0.627582
protrusion 6 0.585074
total protrusion 10.2145
connectivity 0 3 66.5736
connectivity 1 2 158.448
connectivity 3 4 77.357
connectivity 4 5 99.8656
total connect 402.244
total separate 0
part 0 blocked by volume of 17.0752
total block 17.0752
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 20
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 99.8739
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 33.5193
overlap 3 5 0
overlap 3 6 0
overlap 4 5 9.15344
overlap 4 6 2.35927
overlap 5 6 0.910687
total overlap = 165.817
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 3.54569
protrusion 5 0.627582
protrusion 6 0.585074
total protrusion 4.75835
connectivity 0 3 158.005
connectivity 1 2 158.448
connectivity 3 4 102.647
connectivity 4 5 99.8656
total connect 518.966
total separate 0
total block 0
DEBUG: time 3432 iteration 97
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 19.3251
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 91.1885
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.000750644
overlap 2 5 0
overlap 2 6 0
overlap 3 4 20.0678
overlap 3 5 0
overlap 3 6 0
overlap 4 5 6.84402
overlap 4 6 6.65548
overlap 5 6 0
total overlap = 144.082
protrusion 0 6.75278
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 1.45719
protrusion 5 3.11657
protrusion 6 1.59372
total protrusion 12.9203
connectivity 0 3 158.672
connectivity 1 2 159.374
connectivity 3 4 103.724
connectivity 4 5 100.703
total connect 522.473
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 21.483
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 83.6631
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.85656
overlap 2 5 0
overlap 2 6 0
overlap 3 4 9.95021
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.57443
overlap 4 6 11.2856
overlap 5 6 0
total overlap = 131.813
protrusion 0 6.0775
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.56547
protrusion 6 0.876699
total protrusion 9.51967
connectivity 0 3 157.606
connectivity 1 2 160.229
connectivity 3 4 103.103
connectivity 4 5 101.095
total connect 522.033
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 35.2826
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 71.0008
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 9.13417
overlap 2 5 0
overlap 2 6 0
overlap 3 4 2.07335
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.01646
overlap 4 6 16.6326
overlap 5 6 0
total overlap = 141.14
protrusion 0 2.09368
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.906167
protrusion 6 0.231378
total protrusion 3.23122
connectivity 0 3 153.803
connectivity 1 2 159.037
connectivity 3 4 100.925
connectivity 4 5 100.64
total connect 514.406
total separate 0
total block 0
DEBUG: time 3462 iteration 98
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 35.922
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 53.5194
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 14.7664
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.00933
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.30912
overlap 4 6 14.0504
overlap 5 6 0
total overlap = 126.577
protrusion 0 5.24958
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.07509
protrusion 6 0.075806
total protrusion 7.40047
connectivity 0 3 153.663
connectivity 1 2 160.366
connectivity 3 4 97.1842
connectivity 4 5 104.441
total connect 515.655
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 42.7551
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 37.188
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 20.6666
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.94356
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.02653
overlap 4 6 11.9648
overlap 5 6 0
total overlap = 123.545
protrusion 0 1.33712
protrusion 1 3.85296
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.414148
protrusion 6 0
total protrusion 5.60423
connectivity 0 3 151.854
connectivity 1 2 161.58
connectivity 3 4 94.0093
connectivity 4 5 106.436
total connect 513.88
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 59.8828
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 23.3096
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 20.2867
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.7562
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.75879
overlap 4 6 9.3799
overlap 5 6 2.97914
total overlap = 134.353
protrusion 0 0
protrusion 1 23.0378
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 23.0378
connectivity 0 3 147.48
connectivity 1 2 160.71
connectivity 3 4 89.0977
connectivity 4 5 107.068
total connect 504.357
total separate 0
total block 0
DEBUG: time 3493 iteration 99
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 60.7298
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 15.4401
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 9.3711
overlap 2 5 0
overlap 2 6 0
overlap 3 4 24.932
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.55078
overlap 4 6 5.26864
overlap 5 6 2.26057
total overlap = 120.553
protrusion 0 0
protrusion 1 40.3041
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 40.3041
connectivity 0 3 147.422
connectivity 1 2 163.272
connectivity 3 4 84.4903
connectivity 4 5 110.168
total connect 505.352
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 61.4985
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 8.35761
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 3.75812
overlap 2 5 0
overlap 2 6 0
overlap 3 4 40.3258
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.132468
overlap 4 6 2.26567
overlap 5 6 1.61774
total overlap = 117.956
protrusion 0 0
protrusion 1 39.4979
protrusion 2 6.88616
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 46.3841
connectivity 0 3 147.376
connectivity 1 2 165.373
connectivity 3 4 80.3844
connectivity 4 5 113.001
total connect 506.135
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 73.8492
overlap 0 4 2.24156
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 1.99767
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.383835
overlap 2 5 0
overlap 2 6 0
overlap 3 4 66.5913
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 2.22359
total overlap = 147.287
protrusion 0 0
protrusion 1 38.0609
protrusion 2 15.4182
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 53.4791
connectivity 0 3 144.599
connectivity 1 2 165.315
connectivity 3 4 74.6751
connectivity 4 5 114.441
total connect 499.03
total separate 0
total block 0
DEBUG: time 3522 iteration 100
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 69.2752
overlap 0 4 3.96982
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 75.7187
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 148.964
protrusion 0 0
protrusion 1 36.7675
protrusion 2 30.553
protrusion 3 0
protrusion 4 0
protrusion 5 0.0716035
protrusion 6 0
total protrusion 67.3921
connectivity 0 3 145.66
connectivity 1 2 168.001
connectivity 3 4 74.0216
connectivity 4 5 115.172
total connect 502.854
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 65.1441
overlap 0 4 5.76721
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 84.165
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 155.076
protrusion 0 0
protrusion 1 19.2576
protrusion 2 36.1876
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 55.4453
connectivity 0 3 146.619
connectivity 1 2 170.475
connectivity 3 4 73.5289
connectivity 4 5 114.229
total connect 504.851
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 71.9303
overlap 0 4 4.91254
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 89.0382
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.0329814
overlap 5 6 0
total overlap = 165.914
protrusion 0 0
protrusion 1 3.25009
protrusion 2 41.3803
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 44.6304
connectivity 0 3 144.691
connectivity 1 2 170.792
connectivity 3 4 71.0896
connectivity 4 5 112.29
total connect 498.862
total separate 0
total block 0
